Cyberduck Mountain Duck CLI

#7547 closed defect (worksforme)

NSInvalidArgumentException in background thread

Reported by: mcfilms Owned by: dkocher
Priority: normal Milestone: 4.4.4
Component: core Version: 4.4
Severity: normal Keywords:
Cc: Architecture:
Platform: Mac OS X 10.8

Description (last modified by dkocher)

I have seen the suggestions and tried the solutions. But Cyberduck continues to crash on start-up. I have deleted the prefs (ch.sudo.cyberduck.plist), I have updated my version of Java. What else can I try?

This is on a MacBook with 10.8.5 and the very latest 4.4. version of Cyberduck. However this same problem is present with 3.4.2

Process:         Cyberduck [1632]
Path:            /Users/USER/Downloads/Cyberduck.app/Contents/MacOS/Cyberduck
Identifier:      ch.sudo.cyberduck
Version:         4.4 (13582)
Code Type:       X86-64 (Native)
Parent Process:  launchd [153]
User ID:         501

Date/Time:       2013-11-04 10:06:21.382 -0800
OS Version:      Mac OS X 10.8.5 (12F45)
Report Version:  10

Crashed Thread:  22  Java: background-2

Exception Type:  EXC_BAD_ACCESS (SIGABRT)
Exception Codes: KERN_INVALID_ADDRESS at 0x0000000000000040

VM Regions Near 0x40:
--> 
    __TEXT                 0000000100000000-0000000100007000 [   28K] r-x/rwx SM=COW  /Users/USER/Downloads/Cyberduck.app/Contents/MacOS/Cyberduck

Application Specific Information:
*** Terminating app due to uncaught exception 'NSInvalidArgumentException', reason: '*** -[NSPlaceholderString initWithString:]: nil argument'
terminate called throwing an exception
abort() called

Application Specific Backtrace 1:
0   CoreFoundation                      0x00007fff8e80eb06 __exceptionPreprocess + 198
1   libobjc.A.dylib                     0x00007fff8ba4d3f0 objc_exception_throw + 43
2   CoreFoundation                      0x00007fff8e80e8dc +[NSException raise:format:] + 204
3   Foundation                          0x00007fff930e3dac -[NSPlaceholderString initWithString:] + 93
4   libjnidispatch.dylib                0x0000000109c48bbc ffi_call_unix64 + 76
5   ???                                 0x000000010f8ff880 0x0 + 4556060800

Thread 0:: Dispatch queue: com.apple.main-thread
0   libTIFF.dylib                 	0x00007fff8c1511b0 LZWEncode + 349
1   libTIFF.dylib                 	0x00007fff8c15f06d _cg_TIFFWriteScanline + 625
2   com.apple.ImageIO.framework   	0x00007fff8e9a9cf0 _CGImagePluginWriteTIFF + 5313
3   com.apple.ImageIO.framework   	0x00007fff8e9e711a CGImageDestinationFinalize + 149
4   com.apple.AppKit              	0x00007fff900f2a41 +[NSBitmapImageRep(NSBitmapImageFileTypeExtensions) representationOfImageRepsInArray:usingType:properties:] + 2196
5   com.apple.AppKit              	0x00007fff90248ca8 -[NSImage TIFFRepresentationUsingCompression:factor:] + 429
6   libjnidispatch.dylib          	0x0000000109c48bbc ffi_call_unix64 + 76
7   libjnidispatch.dylib          	0x0000000109c48724 ffi_call + 644
8   libjnidispatch.dylib          	0x0000000109c3f9d5 Java_com_sun_jna_Native_ffi_1prep_1cif + 1605
9   libjnidispatch.dylib          	0x0000000109c3fe82 Java_com_sun_jna_Native_invokeLong + 34
10  ???                           	0x00000001026d6d0e 0 + 4335693070
11  ???                           	0x00000001026d8228 0 + 4335698472

Thread 1:: Dispatch queue: com.apple.libdispatch-manager
0   libsystem_kernel.dylib        	0x00007fff8ba32d16 kevent + 10
1   libdispatch.dylib             	0x00007fff9244adea _dispatch_mgr_invoke + 883
2   libdispatch.dylib             	0x00007fff9244a9ee _dispatch_mgr_thread + 54

Thread 2:
0   libsystem_kernel.dylib        	0x00007fff8ba320fa __psynch_cvwait + 10
1   libsystem_c.dylib             	0x00007fff8841ffb9 _pthread_cond_wait + 869
2   com.apple.Foundation          	0x00007fff9310ac16 -[NSCondition wait] + 240
3   com.apple.Foundation          	0x00007fff931033c8 -[NSObject(NSThreadPerformAdditions) performSelector:onThread:withObject:waitUntilDone:modes:] + 796
4   com.apple.Foundation          	0x00007fff93103028 -[NSObject(NSThreadPerformAdditions) performSelectorOnMainThread:withObject:waitUntilDone:] + 131
5   libjli.dylib                  	0x00000001000eebb9 JVMInit + 251
6   libjli.dylib                  	0x00000001000ea9b9 JLI_Launch + 4489
7   Cyberduck                     	0x0000000100002356 launch + 2293
8   Cyberduck                     	0x0000000100001932 main + 70
9   libjli.dylib                  	0x00000001000ef4b6 apple_main + 92
10  libsystem_c.dylib             	0x00007fff8841b772 _pthread_start + 327
11  libsystem_c.dylib             	0x00007fff884081a1 thread_start + 13

Thread 3:
0   libsystem_kernel.dylib        	0x00007fff8ba326d6 __workq_kernreturn + 10
1   libsystem_c.dylib             	0x00007fff8841df1c _pthread_workq_return + 25
2   libsystem_c.dylib             	0x00007fff8841dce3 _pthread_wqthread + 412
3   libsystem_c.dylib             	0x00007fff88408191 start_wqthread + 13

Thread 4:
0   libsystem_kernel.dylib        	0x00007fff8ba326d6 __workq_kernreturn + 10
1   libsystem_c.dylib             	0x00007fff8841df1c _pthread_workq_return + 25
2   libsystem_c.dylib             	0x00007fff8841dce3 _pthread_wqthread + 412
3   libsystem_c.dylib             	0x00007fff88408191 start_wqthread + 13

Thread 5:
0   libsystem_kernel.dylib        	0x00007fff8ba320fa __psynch_cvwait + 10
1   libsystem_c.dylib             	0x00007fff8841ffb9 _pthread_cond_wait + 869
2   libjvm.dylib                  	0x0000000101bee9e5 os::PlatformEvent::park() + 173
3   libjvm.dylib                  	0x0000000101bcff7e ParkCommon(ParkEvent*, long long) + 42
4   libjvm.dylib                  	0x0000000101bd0770 Monitor::IWait(Thread*, long long) + 160
5   libjvm.dylib                  	0x0000000101bd09cd Monitor::wait(bool, long, bool) + 375
6   libjvm.dylib                  	0x0000000101d080ff GangWorker::loop() + 179
7   libjvm.dylib                  	0x0000000101bf2c95 java_start(Thread*) + 213
8   libsystem_c.dylib             	0x00007fff8841b772 _pthread_start + 327
9   libsystem_c.dylib             	0x00007fff884081a1 thread_start + 13

Thread 6:
0   libsystem_kernel.dylib        	0x00007fff8ba320fa __psynch_cvwait + 10
1   libsystem_c.dylib             	0x00007fff8841ffb9 _pthread_cond_wait + 869
2   libjvm.dylib                  	0x0000000101bee9e5 os::PlatformEvent::park() + 173
3   libjvm.dylib                  	0x0000000101bcff7e ParkCommon(ParkEvent*, long long) + 42
4   libjvm.dylib                  	0x0000000101bd0770 Monitor::IWait(Thread*, long long) + 160
5   libjvm.dylib                  	0x0000000101bd09cd Monitor::wait(bool, long, bool) + 375
6   libjvm.dylib                  	0x0000000101d080ff GangWorker::loop() + 179
7   libjvm.dylib                  	0x0000000101bf2c95 java_start(Thread*) + 213
8   libsystem_c.dylib             	0x00007fff8841b772 _pthread_start + 327
9   libsystem_c.dylib             	0x00007fff884081a1 thread_start + 13

Thread 7:
0   libsystem_kernel.dylib        	0x00007fff8ba320fa __psynch_cvwait + 10
1   libsystem_c.dylib             	0x00007fff8841ffb9 _pthread_cond_wait + 869
2   libjvm.dylib                  	0x0000000101bee9e5 os::PlatformEvent::park() + 173
3   libjvm.dylib                  	0x0000000101bcff7e ParkCommon(ParkEvent*, long long) + 42
4   libjvm.dylib                  	0x0000000101bd0770 Monitor::IWait(Thread*, long long) + 160
5   libjvm.dylib                  	0x0000000101bd09cd Monitor::wait(bool, long, bool) + 375
6   libjvm.dylib                  	0x00000001019dca75 ConcurrentMarkSweepThread::icms_wait() + 89
7   libjvm.dylib                  	0x00000001019cfe76 MarkFromRootsClosure::do_yield_work() + 130
8   libjvm.dylib                  	0x00000001019d110b MarkFromRootsClosure::scanOopsInOop(HeapWord*) + 481
9   libjvm.dylib                  	0x00000001019cc270 MarkFromRootsClosure::do_bit(unsigned long) + 454
10  libjvm.dylib                  	0x00000001018f687e BitMap::iterate(BitMapClosure*, unsigned long, unsigned long) + 138
11  libjvm.dylib                  	0x00000001019d4985 CMSCollector::do_marking_st(bool) + 461
12  libjvm.dylib                  	0x00000001019d5281 CMSCollector::markFromRootsWork(bool) + 67
13  libjvm.dylib                  	0x00000001019d6a11 CMSCollector::markFromRoots(bool) + 169
14  libjvm.dylib                  	0x00000001019d8df0 CMSCollector::collect_in_background(bool, GCCause::Cause) + 820
15  libjvm.dylib                  	0x00000001019dc9b1 ConcurrentMarkSweepThread::run() + 455
16  libjvm.dylib                  	0x0000000101bf2c95 java_start(Thread*) + 213
17  libsystem_c.dylib             	0x00007fff8841b772 _pthread_start + 327
18  libsystem_c.dylib             	0x00007fff884081a1 thread_start + 13

Thread 8:
0   libsystem_kernel.dylib        	0x00007fff8ba320fa __psynch_cvwait + 10
1   libsystem_c.dylib             	0x00007fff8841ffb9 _pthread_cond_wait + 869
2   libjvm.dylib                  	0x0000000101bef987 os::PlatformEvent::park(long long) + 385
3   libjvm.dylib                  	0x0000000101bd0770 Monitor::IWait(Thread*, long long) + 160
4   libjvm.dylib                  	0x0000000101bd09cd Monitor::wait(bool, long, bool) + 375
5   libjvm.dylib                  	0x0000000101cff17a VMThread::loop() + 444
6   libjvm.dylib                  	0x0000000101cfec25 VMThread::run() + 121
7   libjvm.dylib                  	0x0000000101bf2c95 java_start(Thread*) + 213
8   libsystem_c.dylib             	0x00007fff8841b772 _pthread_start + 327
9   libsystem_c.dylib             	0x00007fff884081a1 thread_start + 13

Thread 9:: Java: Reference Handler
0   libsystem_kernel.dylib        	0x00007fff8ba320fa __psynch_cvwait + 10
1   libsystem_c.dylib             	0x00007fff8841ffb9 _pthread_cond_wait + 869
2   libjvm.dylib                  	0x0000000101bee9e5 os::PlatformEvent::park() + 173
3   libjvm.dylib                  	0x0000000101be82dd ObjectMonitor::wait(long long, bool, Thread*) + 757
4   libjvm.dylib                  	0x0000000101c94d53 ObjectSynchronizer::wait(Handle, long long, Thread*) + 203
5   libjvm.dylib                  	0x0000000101b04e74 JVM_MonitorWait + 156
6   ???                           	0x000000010254a738 0 + 4334069560
7   ???                           	0x000000010253e058 0 + 4334018648
8   ???                           	0x000000010253e058 0 + 4334018648
9   ???                           	0x00000001025384f7 0 + 4333995255
10  libjvm.dylib                  	0x0000000101acc954 JavaCalls::call_helper(JavaValue*, methodHandle*, JavaCallArguments*, Thread*) + 554
11  libjvm.dylib                  	0x0000000101acce6b JavaCalls::call_virtual(JavaValue*, KlassHandle, Symbol*, Symbol*, JavaCallArguments*, Thread*) + 283
12  libjvm.dylib                  	0x0000000101accfa8 JavaCalls::call_virtual(JavaValue*, Handle, KlassHandle, Symbol*, Symbol*, Thread*) + 74
13  libjvm.dylib                  	0x0000000101b00088 thread_entry(JavaThread*, Thread*) + 173
14  libjvm.dylib                  	0x0000000101cc4ba5 JavaThread::thread_main_inner() + 155
15  libjvm.dylib                  	0x0000000101cc627f JavaThread::run() + 417
16  libjvm.dylib                  	0x0000000101bf2c95 java_start(Thread*) + 213
17  libsystem_c.dylib             	0x00007fff8841b772 _pthread_start + 327
18  libsystem_c.dylib             	0x00007fff884081a1 thread_start + 13

Thread 10:: Java: Finalizer
0   libsystem_kernel.dylib        	0x00007fff8ba320fa __psynch_cvwait + 10
1   libsystem_c.dylib             	0x00007fff8841ffb9 _pthread_cond_wait + 869
2   libjvm.dylib                  	0x0000000101bee9e5 os::PlatformEvent::park() + 173
3   libjvm.dylib                  	0x0000000101be82dd ObjectMonitor::wait(long long, bool, Thread*) + 757
4   libjvm.dylib                  	0x0000000101c94d53 ObjectSynchronizer::wait(Handle, long long, Thread*) + 203
5   libjvm.dylib                  	0x0000000101b04e74 JVM_MonitorWait + 156
6   ???                           	0x000000010254a738 0 + 4334069560
7   ???                           	0x000000010253e058 0 + 4334018648
8   ???                           	0x000000010253e233 0 + 4334019123
9   ???                           	0x000000010253e233 0 + 4334019123
10  ???                           	0x00000001025384f7 0 + 4333995255
11  libjvm.dylib                  	0x0000000101acc954 JavaCalls::call_helper(JavaValue*, methodHandle*, JavaCallArguments*, Thread*) + 554
12  libjvm.dylib                  	0x0000000101acce6b JavaCalls::call_virtual(JavaValue*, KlassHandle, Symbol*, Symbol*, JavaCallArguments*, Thread*) + 283
13  libjvm.dylib                  	0x0000000101accfa8 JavaCalls::call_virtual(JavaValue*, Handle, KlassHandle, Symbol*, Symbol*, Thread*) + 74
14  libjvm.dylib                  	0x0000000101b00088 thread_entry(JavaThread*, Thread*) + 173
15  libjvm.dylib                  	0x0000000101cc4ba5 JavaThread::thread_main_inner() + 155
16  libjvm.dylib                  	0x0000000101cc627f JavaThread::run() + 417
17  libjvm.dylib                  	0x0000000101bf2c95 java_start(Thread*) + 213
18  libsystem_c.dylib             	0x00007fff8841b772 _pthread_start + 327
19  libsystem_c.dylib             	0x00007fff884081a1 thread_start + 13

Thread 11:: Java: Surrogate Locker Thread (Concurrent GC)
0   libsystem_kernel.dylib        	0x00007fff8ba320fa __psynch_cvwait + 10
1   libsystem_c.dylib             	0x00007fff8841ffb9 _pthread_cond_wait + 869
2   libjvm.dylib                  	0x0000000101bee9e5 os::PlatformEvent::park() + 173
3   libjvm.dylib                  	0x0000000101bcff7e ParkCommon(ParkEvent*, long long) + 42
4   libjvm.dylib                  	0x0000000101bd0770 Monitor::IWait(Thread*, long long) + 160
5   libjvm.dylib                  	0x0000000101bd0934 Monitor::wait(bool, long, bool) + 222
6   libjvm.dylib                  	0x00000001019c3695 SurrogateLockerThread::loop() + 141
7   libjvm.dylib                  	0x0000000101cc4ba5 JavaThread::thread_main_inner() + 155
8   libjvm.dylib                  	0x0000000101cc627f JavaThread::run() + 417
9   libjvm.dylib                  	0x0000000101bf2c95 java_start(Thread*) + 213
10  libsystem_c.dylib             	0x00007fff8841b772 _pthread_start + 327
11  libsystem_c.dylib             	0x00007fff884081a1 thread_start + 13

Thread 12:: Java: Attach Listener
0   libsystem_kernel.dylib        	0x00007fff8ba31996 __accept + 10
1   libjvm.dylib                  	0x00000001018ef72e BsdAttachListener::dequeue() + 190
2   libjvm.dylib                  	0x00000001018ef797 AttachListener::dequeue() + 69
3   libjvm.dylib                  	0x00000001018ee60a attach_listener_thread_entry(JavaThread*, Thread*) + 66
4   libjvm.dylib                  	0x0000000101cc4ba5 JavaThread::thread_main_inner() + 155
5   libjvm.dylib                  	0x0000000101cc627f JavaThread::run() + 417
6   libjvm.dylib                  	0x0000000101bf2c95 java_start(Thread*) + 213
7   libsystem_c.dylib             	0x00007fff8841b772 _pthread_start + 327
8   libsystem_c.dylib             	0x00007fff884081a1 thread_start + 13

Thread 13:: Java: C2 CompilerThread0
0   libjvm.dylib                  	0x0000000101c3adfc find_lowest_bit(unsigned int) + 0
1   libjvm.dylib                  	0x0000000101848f8f RegMask::find_first_elem() const + 165
2   libjvm.dylib                  	0x0000000101c1db60 PhaseChaitin::post_allocate_copy_removal() + 4968
3   libjvm.dylib                  	0x0000000101972abd PhaseChaitin::Register_Allocate() + 1579
4   libjvm.dylib                  	0x00000001019b5aba Compile::Code_Gen() + 486
5   libjvm.dylib                  	0x00000001019b910e Compile::Compile(ciEnv*, C2Compiler*, ciMethod*, int, bool, bool) + 2144
6   libjvm.dylib                  	0x000000010196300b C2Compiler::compile_method(ciEnv*, ciMethod*, int) + 157
7   libjvm.dylib                  	0x00000001019bbb18 CompileBroker::invoke_compiler_on_method(CompileTask*) + 992
8   libjvm.dylib                  	0x00000001019bd85a CompileBroker::compiler_thread_loop() + 300
9   libjvm.dylib                  	0x0000000101cc4ba5 JavaThread::thread_main_inner() + 155
10  libjvm.dylib                  	0x0000000101cc627f JavaThread::run() + 417
11  libjvm.dylib                  	0x0000000101bf2c95 java_start(Thread*) + 213
12  libsystem_c.dylib             	0x00007fff8841b772 _pthread_start + 327
13  libsystem_c.dylib             	0x00007fff884081a1 thread_start + 13

Thread 14:: Java: C2 CompilerThread1
0   libjvm.dylib                  	0x0000000101a2f923 PhaseIdealLoop::Dominators() + 429
1   libjvm.dylib                  	0x0000000101b8bd31 PhaseIdealLoop::build_and_optimize(bool, bool) + 965
2   libjvm.dylib                  	0x00000001019b6544 Compile::Optimize() + 824
3   libjvm.dylib                  	0x00000001019b90c4 Compile::Compile(ciEnv*, C2Compiler*, ciMethod*, int, bool, bool) + 2070
4   libjvm.dylib                  	0x000000010196300b C2Compiler::compile_method(ciEnv*, ciMethod*, int) + 157
5   libjvm.dylib                  	0x00000001019bbb18 CompileBroker::invoke_compiler_on_method(CompileTask*) + 992
6   libjvm.dylib                  	0x00000001019bd85a CompileBroker::compiler_thread_loop() + 300
7   libjvm.dylib                  	0x0000000101cc4ba5 JavaThread::thread_main_inner() + 155
8   libjvm.dylib                  	0x0000000101cc627f JavaThread::run() + 417
9   libjvm.dylib                  	0x0000000101bf2c95 java_start(Thread*) + 213
10  libsystem_c.dylib             	0x00007fff8841b772 _pthread_start + 327
11  libsystem_c.dylib             	0x00007fff884081a1 thread_start + 13

Thread 15:: Java: Service Thread
0   libsystem_kernel.dylib        	0x00007fff8ba320fa __psynch_cvwait + 10
1   libsystem_c.dylib             	0x00007fff8841ffb9 _pthread_cond_wait + 869
2   libjvm.dylib                  	0x0000000101bee9e5 os::PlatformEvent::park() + 173
3   libjvm.dylib                  	0x0000000101bcff7e ParkCommon(ParkEvent*, long long) + 42
4   libjvm.dylib                  	0x0000000101bd0770 Monitor::IWait(Thread*, long long) + 160
5   libjvm.dylib                  	0x0000000101bd09cd Monitor::wait(bool, long, bool) + 375
6   libjvm.dylib                  	0x0000000101c45735 ServiceThread::service_thread_entry(JavaThread*, Thread*) + 109
7   libjvm.dylib                  	0x0000000101cc4ba5 JavaThread::thread_main_inner() + 155
8   libjvm.dylib                  	0x0000000101cc627f JavaThread::run() + 417
9   libjvm.dylib                  	0x0000000101bf2c95 java_start(Thread*) + 213
10  libsystem_c.dylib             	0x00007fff8841b772 _pthread_start + 327
11  libsystem_c.dylib             	0x00007fff884081a1 thread_start + 13

Thread 16:
0   libsystem_kernel.dylib        	0x00007fff8ba320fa __psynch_cvwait + 10
1   libsystem_c.dylib             	0x00007fff8841ffb9 _pthread_cond_wait + 869
2   libjvm.dylib                  	0x0000000101bef987 os::PlatformEvent::park(long long) + 385
3   libjvm.dylib                  	0x0000000101bd0770 Monitor::IWait(Thread*, long long) + 160
4   libjvm.dylib                  	0x0000000101bd09cd Monitor::wait(bool, long, bool) + 375
5   libjvm.dylib                  	0x0000000101cc5078 WatcherThread::sleep() const + 126
6   libjvm.dylib                  	0x0000000101cc5f0f WatcherThread::run() + 243
7   libjvm.dylib                  	0x0000000101bf2c95 java_start(Thread*) + 213
8   libsystem_c.dylib             	0x00007fff8841b772 _pthread_start + 327
9   libsystem_c.dylib             	0x00007fff884081a1 thread_start + 13

Thread 17:
0   libsystem_kernel.dylib        	0x00007fff8ba326d6 __workq_kernreturn + 10
1   libsystem_c.dylib             	0x00007fff8841df1c _pthread_workq_return + 25
2   libsystem_c.dylib             	0x00007fff8841dce3 _pthread_wqthread + 412
3   libsystem_c.dylib             	0x00007fff88408191 start_wqthread + 13

Thread 18:
0   libsystem_kernel.dylib        	0x00007fff8ba326d6 __workq_kernreturn + 10
1   libsystem_c.dylib             	0x00007fff8841df1c _pthread_workq_return + 25
2   libsystem_c.dylib             	0x00007fff8841dce3 _pthread_wqthread + 412
3   libsystem_c.dylib             	0x00007fff88408191 start_wqthread + 13

Thread 19:
0   libsystem_kernel.dylib        	0x00007fff8ba326d6 __workq_kernreturn + 10
1   libsystem_c.dylib             	0x00007fff8841df1c _pthread_workq_return + 25
2   libsystem_c.dylib             	0x00007fff8841dce3 _pthread_wqthread + 412
3   libsystem_c.dylib             	0x00007fff88408191 start_wqthread + 13

Thread 20:: com.apple.appkit-heartbeat
0   libsystem_kernel.dylib        	0x00007fff8ba320fa __psynch_cvwait + 10
1   libsystem_c.dylib             	0x00007fff8841ffb9 _pthread_cond_wait + 869
2   com.apple.AppKit              	0x00007fff8fe5e9e1 -[NSViewHierarchyLock lockForReadingWithExceptionHandler:] + 378
3   com.apple.AppKit              	0x00007fff8febf993 -[NSWindow _copyAcquiredViewHierarchyLock] + 138
4   com.apple.AppKit              	0x00007fff90069c22 -[NSUIHeartBeat _heartBeatThread:] + 1545
5   com.apple.Foundation          	0x00007fff9310c562 __NSThread__main__ + 1345
6   libsystem_c.dylib             	0x00007fff8841b772 _pthread_start + 327
7   libsystem_c.dylib             	0x00007fff884081a1 thread_start + 13

Thread 21:: Java: background-1
0   libsystem_kernel.dylib        	0x00007fff8ba320fa __psynch_cvwait + 10
1   libsystem_c.dylib             	0x00007fff8841ffb9 _pthread_cond_wait + 869
2   libjvm.dylib                  	0x0000000101bef773 Parker::park(bool, long long) + 483
3   libjvm.dylib                  	0x0000000101cda4de Unsafe_Park + 126
4   ???                           	0x000000010254a738 0 + 4334069560
5   ???                           	0x000000010253e058 0 + 4334018648
6   ???                           	0x000000010253e058 0 + 4334018648
7   ???                           	0x000000010253e706 0 + 4334020358
8   ???                           	0x000000010253e8e1 0 + 4334020833
9   ???                           	0x000000010253e233 0 + 4334019123
10  ???                           	0x000000010253e058 0 + 4334018648
11  ???                           	0x000000010253e706 0 + 4334020358
12  ???                           	0x000000010253e706 0 + 4334020358
13  ???                           	0x00000001025384f7 0 + 4333995255
14  libjvm.dylib                  	0x0000000101acc954 JavaCalls::call_helper(JavaValue*, methodHandle*, JavaCallArguments*, Thread*) + 554
15  libjvm.dylib                  	0x0000000101acce6b JavaCalls::call_virtual(JavaValue*, KlassHandle, Symbol*, Symbol*, JavaCallArguments*, Thread*) + 283
16  libjvm.dylib                  	0x0000000101accfa8 JavaCalls::call_virtual(JavaValue*, Handle, KlassHandle, Symbol*, Symbol*, Thread*) + 74
17  libjvm.dylib                  	0x0000000101b00088 thread_entry(JavaThread*, Thread*) + 173
18  libjvm.dylib                  	0x0000000101cc4ba5 JavaThread::thread_main_inner() + 155
19  libjvm.dylib                  	0x0000000101cc627f JavaThread::run() + 417
20  libjvm.dylib                  	0x0000000101bf2c95 java_start(Thread*) + 213
21  libsystem_c.dylib             	0x00007fff8841b772 _pthread_start + 327
22  libsystem_c.dylib             	0x00007fff884081a1 thread_start + 13

Thread 22 Crashed:: Java: background-2
0   libsystem_kernel.dylib        	0x00007fff8ba32212 __pthread_kill + 10
1   libsystem_c.dylib             	0x00007fff8841cb24 pthread_kill + 90
2   libsystem_c.dylib             	0x00007fff88460f61 abort + 143
3   libc++abi.dylib               	0x00007fff877b49eb abort_message + 257
4   libc++abi.dylib               	0x00007fff877b239a default_terminate() + 28
5   libobjc.A.dylib               	0x00007fff8ba4d873 _objc_terminate() + 91
6   libc++abi.dylib               	0x00007fff877b23c9 safe_handler_caller(void (*)()) + 8
7   libc++abi.dylib               	0x00007fff877b2424 std::terminate() + 16
8   libc++abi.dylib               	0x00007fff877b358b __cxa_throw + 111
9   libobjc.A.dylib               	0x00007fff8ba4d50c objc_exception_throw + 327
10  com.apple.CoreFoundation      	0x00007fff8e80e8dc +[NSException raise:format:] + 204
11  com.apple.Foundation          	0x00007fff930e3dac -[NSPlaceholderString initWithString:] + 93
12  libjnidispatch.dylib          	0x0000000109c48bbc ffi_call_unix64 + 76
13  libjnidispatch.dylib          	0x0000000109c48724 ffi_call + 644
14  libjnidispatch.dylib          	0x0000000109c3f9d5 Java_com_sun_jna_Native_ffi_1prep_1cif + 1605
15  libjnidispatch.dylib          	0x0000000109c3fe82 Java_com_sun_jna_Native_invokeLong + 34
16  ???                           	0x00000001026d6d0e 0 + 4335693070
17  ???                           	0x00000001026d8228 0 + 4335698472
18  ???                           	0x00000000ff5c2b29 0 + 4284230441

Thread 23:: Java: background-3
0   libsystem_kernel.dylib        	0x00007fff8ba32ffa read + 10
1   com.apple.Foundation          	0x00007fff930c3c73 _NSReadBytesFromFileWithExtendedAttributes + 696
2   com.apple.Foundation          	0x00007fff930c39b2 _NSReadBytesFromFile + 49
3   com.apple.Foundation          	0x00007fff930d2461 -[NSData(NSData) initWithContentsOfFile:] + 65
4   com.apple.Foundation          	0x00007fff930e3c3a +[NSDictionary(NSDictionary) newWithContentsOf:immutable:] + 101
5   com.apple.Foundation          	0x00007fff930e3bbc +[NSDictionary(NSDictionary) dictionaryWithContentsOfFile:] + 43
6   libjnidispatch.dylib          	0x0000000109c48bbc ffi_call_unix64 + 76
7   libjnidispatch.dylib          	0x0000000109c48724 ffi_call + 644
8   libjnidispatch.dylib          	0x0000000109c3f9d5 Java_com_sun_jna_Native_ffi_1prep_1cif + 1605
9   libjnidispatch.dylib          	0x0000000109c3fe82 Java_com_sun_jna_Native_invokeLong + 34
10  ???                           	0x00000001026d6d0e 0 + 4335693070
11  ???                           	0x00000001026d8228 0 + 4335698472
12  ???                           	0x00000000ff5c2b29 0 + 4284230441

Thread 24:: Java: background-4
0   libjvm.dylib                  	0x0000000101981a22 ThreadStateTransition::trans_from_native(JavaThreadState) + 130
1   libjvm.dylib                  	0x0000000101ad6275 jni_CallObjectMethod + 139
2   libjnidispatch.dylib          	0x0000000109c3fba9 Java_com_sun_jna_Native_ffi_1prep_1cif + 2073
3   libjnidispatch.dylib          	0x0000000109c3fe82 Java_com_sun_jna_Native_invokeLong + 34
4   ???                           	0x00000001026d6d0e 0 + 4335693070
5   ???                           	0x00000001026d8228 0 + 4335698472
6   ???                           	0x00000000ff5c2b29 0 + 4284230441

Thread 25:: Java: background-5
0   libsystem_kernel.dylib        	0x00007fff8ba320fa __psynch_cvwait + 10
1   libsystem_c.dylib             	0x00007fff8841ffb9 _pthread_cond_wait + 869
2   libjvm.dylib                  	0x0000000101bef773 Parker::park(bool, long long) + 483
3   libjvm.dylib                  	0x0000000101cda4de Unsafe_Park + 126
4   ???                           	0x000000010254a738 0 + 4334069560
5   ???                           	0x000000010253e058 0 + 4334018648
6   ???                           	0x000000010253e058 0 + 4334018648
7   ???                           	0x000000010253e706 0 + 4334020358
8   ???                           	0x000000010253e8e1 0 + 4334020833
9   ???                           	0x000000010253e233 0 + 4334019123
10  ???                           	0x000000010253e058 0 + 4334018648
11  ???                           	0x000000010253e706 0 + 4334020358
12  ???                           	0x000000010253e706 0 + 4334020358
13  ???                           	0x00000001025384f7 0 + 4333995255
14  libjvm.dylib                  	0x0000000101acc954 JavaCalls::call_helper(JavaValue*, methodHandle*, JavaCallArguments*, Thread*) + 554
15  libjvm.dylib                  	0x0000000101acce6b JavaCalls::call_virtual(JavaValue*, KlassHandle, Symbol*, Symbol*, JavaCallArguments*, Thread*) + 283
16  libjvm.dylib                  	0x0000000101accfa8 JavaCalls::call_virtual(JavaValue*, Handle, KlassHandle, Symbol*, Symbol*, Thread*) + 74
17  libjvm.dylib                  	0x0000000101b00088 thread_entry(JavaThread*, Thread*) + 173
18  libjvm.dylib                  	0x0000000101cc4ba5 JavaThread::thread_main_inner() + 155
19  libjvm.dylib                  	0x0000000101cc627f JavaThread::run() + 417
20  libjvm.dylib                  	0x0000000101bf2c95 java_start(Thread*) + 213
21  libsystem_c.dylib             	0x00007fff8841b772 _pthread_start + 327
22  libsystem_c.dylib             	0x00007fff884081a1 thread_start + 13

Thread 26:: Java: background-6
0   libsystem_kernel.dylib        	0x00007fff8ba320fa __psynch_cvwait + 10
1   libsystem_c.dylib             	0x00007fff8841ffb9 _pthread_cond_wait + 869
2   libjvm.dylib                  	0x0000000101bef773 Parker::park(bool, long long) + 483
3   libjvm.dylib                  	0x0000000101cda4de Unsafe_Park + 126
4   ???                           	0x000000010254a738 0 + 4334069560
5   ???                           	0x000000010253e058 0 + 4334018648
6   ???                           	0x000000010253e058 0 + 4334018648
7   ???                           	0x000000010253e706 0 + 4334020358
8   ???                           	0x000000010253e8e1 0 + 4334020833
9   ???                           	0x000000010253e233 0 + 4334019123
10  ???                           	0x000000010253e058 0 + 4334018648
11  ???                           	0x000000010253e706 0 + 4334020358
12  ???                           	0x000000010253e706 0 + 4334020358
13  ???                           	0x00000001025384f7 0 + 4333995255
14  libjvm.dylib                  	0x0000000101acc954 JavaCalls::call_helper(JavaValue*, methodHandle*, JavaCallArguments*, Thread*) + 554
15  libjvm.dylib                  	0x0000000101acce6b JavaCalls::call_virtual(JavaValue*, KlassHandle, Symbol*, Symbol*, JavaCallArguments*, Thread*) + 283
16  libjvm.dylib                  	0x0000000101accfa8 JavaCalls::call_virtual(JavaValue*, Handle, KlassHandle, Symbol*, Symbol*, Thread*) + 74
17  libjvm.dylib                  	0x0000000101b00088 thread_entry(JavaThread*, Thread*) + 173
18  libjvm.dylib                  	0x0000000101cc4ba5 JavaThread::thread_main_inner() + 155
19  libjvm.dylib                  	0x0000000101cc627f JavaThread::run() + 417
20  libjvm.dylib                  	0x0000000101bf2c95 java_start(Thread*) + 213
21  libsystem_c.dylib             	0x00007fff8841b772 _pthread_start + 327
22  libsystem_c.dylib             	0x00007fff884081a1 thread_start + 13

Thread 27:: Java: background-7
0   libsystem_kernel.dylib        	0x00007fff8ba320fa __psynch_cvwait + 10
1   libsystem_c.dylib             	0x00007fff8841ffb9 _pthread_cond_wait + 869
2   libjvm.dylib                  	0x0000000101bef773 Parker::park(bool, long long) + 483
3   libjvm.dylib                  	0x0000000101cda4de Unsafe_Park + 126
4   ???                           	0x000000010254a738 0 + 4334069560
5   ???                           	0x000000010253e058 0 + 4334018648
6   ???                           	0x000000010253e058 0 + 4334018648
7   ???                           	0x000000010253e706 0 + 4334020358
8   ???                           	0x000000010253e8e1 0 + 4334020833
9   ???                           	0x000000010253e233 0 + 4334019123
10  ???                           	0x000000010253e058 0 + 4334018648
11  ???                           	0x000000010253e706 0 + 4334020358
12  ???                           	0x000000010253e706 0 + 4334020358
13  ???                           	0x00000001025384f7 0 + 4333995255
14  libjvm.dylib                  	0x0000000101acc954 JavaCalls::call_helper(JavaValue*, methodHandle*, JavaCallArguments*, Thread*) + 554
15  libjvm.dylib                  	0x0000000101acce6b JavaCalls::call_virtual(JavaValue*, KlassHandle, Symbol*, Symbol*, JavaCallArguments*, Thread*) + 283
16  libjvm.dylib                  	0x0000000101accfa8 JavaCalls::call_virtual(JavaValue*, Handle, KlassHandle, Symbol*, Symbol*, Thread*) + 74
17  libjvm.dylib                  	0x0000000101b00088 thread_entry(JavaThread*, Thread*) + 173
18  libjvm.dylib                  	0x0000000101cc4ba5 JavaThread::thread_main_inner() + 155
19  libjvm.dylib                  	0x0000000101cc627f JavaThread::run() + 417
20  libjvm.dylib                  	0x0000000101bf2c95 java_start(Thread*) + 213
21  libsystem_c.dylib             	0x00007fff8841b772 _pthread_start + 327
22  libsystem_c.dylib             	0x00007fff884081a1 thread_start + 13

Thread 28:: Java: background-8
0   libsystem_kernel.dylib        	0x00007fff8ba320fa __psynch_cvwait + 10
1   libsystem_c.dylib             	0x00007fff8841ffb9 _pthread_cond_wait + 869
2   libjvm.dylib                  	0x0000000101bef773 Parker::park(bool, long long) + 483
3   libjvm.dylib                  	0x0000000101cda4de Unsafe_Park + 126
4   ???                           	0x000000010254a738 0 + 4334069560
5   ???                           	0x000000010253e058 0 + 4334018648
6   ???                           	0x000000010253e058 0 + 4334018648
7   ???                           	0x000000010253e350 0 + 4334019408
8   ???                           	0x000000010253e058 0 + 4334018648
9   ???                           	0x000000010253e058 0 + 4334018648
10  ???                           	0x000000010253e058 0 + 4334018648
11  ???                           	0x000000010253e233 0 + 4334019123
12  ???                           	0x000000010253e233 0 + 4334019123
13  ???                           	0x000000010253e8e1 0 + 4334020833
14  ???                           	0x000000010253e8e1 0 + 4334020833
15  ???                           	0x000000010253e706 0 + 4334020358
16  ???                           	0x000000010253e058 0 + 4334018648
17  ???                           	0x000000010253e706 0 + 4334020358
18  ???                           	0x000000010253e706 0 + 4334020358
19  ???                           	0x00000001025384f7 0 + 4333995255
20  libjvm.dylib                  	0x0000000101acc954 JavaCalls::call_helper(JavaValue*, methodHandle*, JavaCallArguments*, Thread*) + 554
21  libjvm.dylib                  	0x0000000101acce6b JavaCalls::call_virtual(JavaValue*, KlassHandle, Symbol*, Symbol*, JavaCallArguments*, Thread*) + 283
22  libjvm.dylib                  	0x0000000101accfa8 JavaCalls::call_virtual(JavaValue*, Handle, KlassHandle, Symbol*, Symbol*, Thread*) + 74
23  libjvm.dylib                  	0x0000000101b00088 thread_entry(JavaThread*, Thread*) + 173
24  libjvm.dylib                  	0x0000000101cc4ba5 JavaThread::thread_main_inner() + 155
25  libjvm.dylib                  	0x0000000101cc627f JavaThread::run() + 417
26  libjvm.dylib                  	0x0000000101bf2c95 java_start(Thread*) + 213
27  libsystem_c.dylib             	0x00007fff8841b772 _pthread_start + 327
28  libsystem_c.dylib             	0x00007fff884081a1 thread_start + 13

Thread 29:: Java: Thread-9
0   libsystem_kernel.dylib        	0x00007fff8ba32322 __select + 10
1   libjdns_sd.dylib              	0x000000010b4f7f68 Java_com_apple_dnssd_AppleService_BlockForData + 178
2   ???                           	0x000000010254a738 0 + 4334069560
3   ???                           	0x000000010253e1d4 0 + 4334019028
4   ???                           	0x000000010253e706 0 + 4334020358
5   ???                           	0x00000001025384f7 0 + 4333995255
6   libjvm.dylib                  	0x0000000101acc954 JavaCalls::call_helper(JavaValue*, methodHandle*, JavaCallArguments*, Thread*) + 554
7   libjvm.dylib                  	0x0000000101acce6b JavaCalls::call_virtual(JavaValue*, KlassHandle, Symbol*, Symbol*, JavaCallArguments*, Thread*) + 283
8   libjvm.dylib                  	0x0000000101accfa8 JavaCalls::call_virtual(JavaValue*, Handle, KlassHandle, Symbol*, Symbol*, Thread*) + 74
9   libjvm.dylib                  	0x0000000101b00088 thread_entry(JavaThread*, Thread*) + 173
10  libjvm.dylib                  	0x0000000101cc4ba5 JavaThread::thread_main_inner() + 155
11  libjvm.dylib                  	0x0000000101cc627f JavaThread::run() + 417
12  libjvm.dylib                  	0x0000000101bf2c95 java_start(Thread*) + 213
13  libsystem_c.dylib             	0x00007fff8841b772 _pthread_start + 327
14  libsystem_c.dylib             	0x00007fff884081a1 thread_start + 13

Thread 30:: Java: Thread-10
0   libsystem_kernel.dylib        	0x00007fff8ba32322 __select + 10
1   libjdns_sd.dylib              	0x000000010b4f7f68 Java_com_apple_dnssd_AppleService_BlockForData + 178
2   ???                           	0x000000010254a738 0 + 4334069560
3   ???                           	0x000000010253e1d4 0 + 4334019028
4   ???                           	0x000000010253e706 0 + 4334020358
5   ???                           	0x00000001025384f7 0 + 4333995255
6   libjvm.dylib                  	0x0000000101acc954 JavaCalls::call_helper(JavaValue*, methodHandle*, JavaCallArguments*, Thread*) + 554
7   libjvm.dylib                  	0x0000000101acce6b JavaCalls::call_virtual(JavaValue*, KlassHandle, Symbol*, Symbol*, JavaCallArguments*, Thread*) + 283
8   libjvm.dylib                  	0x0000000101accfa8 JavaCalls::call_virtual(JavaValue*, Handle, KlassHandle, Symbol*, Symbol*, Thread*) + 74
9   libjvm.dylib                  	0x0000000101b00088 thread_entry(JavaThread*, Thread*) + 173
10  libjvm.dylib                  	0x0000000101cc4ba5 JavaThread::thread_main_inner() + 155
11  libjvm.dylib                  	0x0000000101cc627f JavaThread::run() + 417
12  libjvm.dylib                  	0x0000000101bf2c95 java_start(Thread*) + 213
13  libsystem_c.dylib             	0x00007fff8841b772 _pthread_start + 327
14  libsystem_c.dylib             	0x00007fff884081a1 thread_start + 13

Thread 31:: Java: Thread-11
0   libsystem_kernel.dylib        	0x00007fff8ba32322 __select + 10
1   libjdns_sd.dylib              	0x000000010b4f7f68 Java_com_apple_dnssd_AppleService_BlockForData + 178
2   ???                           	0x000000010254a738 0 + 4334069560
3   ???                           	0x000000010253e1d4 0 + 4334019028
4   ???                           	0x000000010253e706 0 + 4334020358
5   ???                           	0x00000001025384f7 0 + 4333995255
6   libjvm.dylib                  	0x0000000101acc954 JavaCalls::call_helper(JavaValue*, methodHandle*, JavaCallArguments*, Thread*) + 554
7   libjvm.dylib                  	0x0000000101acce6b JavaCalls::call_virtual(JavaValue*, KlassHandle, Symbol*, Symbol*, JavaCallArguments*, Thread*) + 283
8   libjvm.dylib                  	0x0000000101accfa8 JavaCalls::call_virtual(JavaValue*, Handle, KlassHandle, Symbol*, Symbol*, Thread*) + 74
9   libjvm.dylib                  	0x0000000101b00088 thread_entry(JavaThread*, Thread*) + 173
10  libjvm.dylib                  	0x0000000101cc4ba5 JavaThread::thread_main_inner() + 155
11  libjvm.dylib                  	0x0000000101cc627f JavaThread::run() + 417
12  libjvm.dylib                  	0x0000000101bf2c95 java_start(Thread*) + 213
13  libsystem_c.dylib             	0x00007fff8841b772 _pthread_start + 327
14  libsystem_c.dylib             	0x00007fff884081a1 thread_start + 13

Thread 32:: Java: Thread-12
0   libsystem_kernel.dylib        	0x00007fff8ba32322 __select + 10
1   libjdns_sd.dylib              	0x000000010b4f7f68 Java_com_apple_dnssd_AppleService_BlockForData + 178
2   ???                           	0x000000010254a738 0 + 4334069560
3   ???                           	0x000000010253e1d4 0 + 4334019028
4   ???                           	0x000000010253e706 0 + 4334020358
5   ???                           	0x00000001025384f7 0 + 4333995255
6   libjvm.dylib                  	0x0000000101acc954 JavaCalls::call_helper(JavaValue*, methodHandle*, JavaCallArguments*, Thread*) + 554
7   libjvm.dylib                  	0x0000000101acce6b JavaCalls::call_virtual(JavaValue*, KlassHandle, Symbol*, Symbol*, JavaCallArguments*, Thread*) + 283
8   libjvm.dylib                  	0x0000000101accfa8 JavaCalls::call_virtual(JavaValue*, Handle, KlassHandle, Symbol*, Symbol*, Thread*) + 74
9   libjvm.dylib                  	0x0000000101b00088 thread_entry(JavaThread*, Thread*) + 173
10  libjvm.dylib                  	0x0000000101cc4ba5 JavaThread::thread_main_inner() + 155
11  libjvm.dylib                  	0x0000000101cc627f JavaThread::run() + 417
12  libjvm.dylib                  	0x0000000101bf2c95 java_start(Thread*) + 213
13  libsystem_c.dylib             	0x00007fff8841b772 _pthread_start + 327
14  libsystem_c.dylib             	0x00007fff884081a1 thread_start + 13

Thread 22 crashed with X86 Thread State (64-bit):
  rax: 0x0000000000000000  rbx: 0x0000000000000006  rcx: 0x000000010f8fde08  rdx: 0x0000000000000000
  rdi: 0x0000000000009f03  rsi: 0x0000000000000006  rbp: 0x000000010f8fde30  rsp: 0x000000010f8fde08
   r8: 0x00007fff77503278   r9: 0x000000010f8fde10  r10: 0x0000000020000000  r11: 0x0000000000000206
  r12: 0x000000010f8fdf90  r13: 0x0000000000000004  r14: 0x000000010f901000  r15: 0x000000010f8fde70
  rip: 0x00007fff8ba32212  rfl: 0x0000000000000206  cr2: 0x00007fff774fcff0
Logical CPU: 0

Binary Images:
       0x100000000 -        0x100006fff +Cyberduck (4.4 - 13582) <1CFBD5ED-F4F4-376D-A6EF-4E733AEE5F3F> /Users/USER/Downloads/Cyberduck.app/Contents/MacOS/Cyberduck
       0x1000e8000 -        0x1000f2fff +libjli.dylib (1) <D1AD2699-8781-3CD3-8E02-E2507AAD5940> /Users/USER/Downloads/Cyberduck.app/Contents/Resources/Java/Runtime.jre/Contents/Home/lib/jli/libjli.dylib
       0x100483000 -        0x10048bfff +libverify.dylib (1) <6580501D-E0BC-3026-B863-E66D8CAE868A> /Users/USER/Downloads/Cyberduck.app/Contents/Resources/Java/Runtime.jre/Contents/Home/lib/libverify.dylib
       0x100492000 -        0x1004b3fe7 +libjava.dylib (1) <647FDF13-4BF3-3D8F-BA04-FB6973B3E3CA> /Users/USER/Downloads/Cyberduck.app/Contents/Resources/Java/Runtime.jre/Contents/Home/lib/libjava.dylib
       0x1004c5000 -        0x1004cafff +libzip.dylib (1) <F48BABBA-660E-36FA-BCF0-41FEE000A86E> /Users/USER/Downloads/Cyberduck.app/Contents/Resources/Java/Runtime.jre/Contents/Home/lib/libzip.dylib
       0x1007e8000 -        0x1007f1ff7  com.apple.java.JavaRuntimeSupport (14.9.0 - 14.9.0) <AB4F1817-A2DE-36F2-8052-3CD334906F79> /System/Library/Frameworks/JavaVM.framework/Frameworks/JavaRuntimeSupport.framework/JavaRuntimeSupport
       0x101800000 -        0x101f04fff +libjvm.dylib (1) <93091E3B-D017-3842-8066-FD745C13A808> /Users/USER/Downloads/Cyberduck.app/Contents/Resources/Java/Runtime.jre/Contents/Home/lib/server/libjvm.dylib
       0x1024a9000 -        0x1024a9ff9 +cl_kernels (???) <C7E3DA71-B6D3-4683-BBDB-216695968844> cl_kernels
       0x10936a000 -        0x109374fff  JavaNativeFoundation (1) <10006281-5A71-3A5E-BEC6-22F7BB31CF81> /System/Library/Frameworks/JavaVM.framework/Versions/A/Frameworks/JavaNativeFoundation.framework/Versions/A/JavaNativeFoundation
       0x10937f000 -        0x109384fff  com.apple.JavaVM (14.9.0 - 14.9.0) <67BD63C5-D82F-3A31-BC43-C8810356D524> /System/Library/Frameworks/JavaVM.framework/Versions/A/JavaVM
       0x10938c000 -        0x109391fff  JavaLaunching (1) <528DEA76-B869-36B5-87A6-D9B722968E16> /System/Library/PrivateFrameworks/JavaLaunching.framework/Versions/A/JavaLaunching
       0x109c21000 -        0x109c2afe7  libcldcpuengine.dylib (2.2.16) <DB9678F6-7D50-384A-A961-6109B61D1607> /System/Library/Frameworks/OpenCL.framework/Libraries/libcldcpuengine.dylib
       0x109c32000 -        0x109c32ff1 +cl_kernels (???) <BB7F98EC-927E-492B-90A5-906EDC4CC0E3> cl_kernels
       0x109c3b000 -        0x109c4cfff +libjnidispatch.dylib (3.5) <F1ABD4BB-769D-EAAC-6E95-2D4B4DB4BF9C> /Users/USER/Downloads/Cyberduck.app/Contents/Resources/Java/libjnidispatch.dylib
       0x109c53000 -        0x109c61fff +librococoa.dylib (1) <DB7CA56F-F411-3F29-B457-12671DC079C5> /Users/USER/Downloads/Cyberduck.app/Contents/Resources/Java/librococoa.dylib
       0x109c75000 -        0x109c90fff +org.andymatuschak.Sparkle (1.5 Beta [git] - 1.5) <46A43E03-B129-E718-E047-A41E80C10A5B> /Users/USER/Downloads/Cyberduck.app/Contents/Frameworks/Sparkle.framework/Versions/A/Sparkle
       0x109ca9000 -        0x109d82ff7  libcrypto.0.9.7.dylib (106) <3E1B14DE-342B-318C-8F22-7B9CD88EE760> /usr/lib/libcrypto.0.9.7.dylib
       0x10b05e000 -        0x10b060fff +libLocal.dylib (1) <0C146D88-EAD6-3575-AE8D-810B3BAA06BC> /Users/USER/Downloads/Cyberduck.app/Contents/Resources/Java/libLocal.dylib
       0x10b09a000 -        0x10b09bfff +cl_kernels (???) <0A4AD04B-5E4A-4D80-9D99-252208AA7F30> cl_kernels
       0x10b0b1000 -        0x10b0b1ff9 +cl_kernels (???) <7DCD7399-C599-4E62-866F-089C45008A76> cl_kernels
       0x10b245000 -        0x10b246ffb +cl_kernels (???) <35B315DA-D188-467D-88AA-E237377FFE57> cl_kernels
       0x10b4a3000 -        0x10b4abfff +libnio.dylib (1) <066D8173-0D95-360D-9EDB-A041FCD63C41> /Users/USER/Downloads/Cyberduck.app/Contents/Resources/Java/Runtime.jre/Contents/Home/lib/libnio.dylib
       0x10b4b5000 -        0x10b4c3ff7 +libnet.dylib (1) <2C8A3317-DAED-3C4A-883A-E04106F2C418> /Users/USER/Downloads/Cyberduck.app/Contents/Resources/Java/Runtime.jre/Contents/Home/lib/libnet.dylib
       0x10b4f7000 -        0x10b4f9ff7 +libjdns_sd.dylib (1) <D7E0A270-E65A-AFF3-0B0B-85DB91AFAAF7> /Users/USER/Downloads/Cyberduck.app/Contents/Resources/Java/libjdns_sd.dylib
       0x10b53b000 -        0x10b53ffff +libPrime.dylib (1) <A28E40A9-7232-348B-9A08-F1FBCACBE1EE> /Users/USER/Downloads/Cyberduck.app/Contents/Resources/Java/libPrime.dylib
       0x10b547000 -        0x10b54cfff +libKeychain.dylib (1) <3B8A68BB-378C-32DC-AE3C-C3ABBA2CF9FA> /Users/USER/Downloads/Cyberduck.app/Contents/Resources/Java/libKeychain.dylib
       0x10b557000 -        0x10b559fff +libProxy.dylib (1) <97533CC2-F7C5-35C9-8380-B3642A1AE67D> /Users/USER/Downloads/Cyberduck.app/Contents/Resources/Java/libProxy.dylib
       0x10b561000 -        0x10b563fff +libDiagnostics.dylib (1) <40B0AB0D-1B93-3DD1-8DD4-B0BD6A440B53> /Users/USER/Downloads/Cyberduck.app/Contents/Resources/Java/libDiagnostics.dylib
       0x10b56a000 -        0x10b56cfff +libLaunchServicesApplicationFinder.dylib (1) <AC5F30BD-FEFD-3F69-B1FB-3B7FB0611133> /Users/USER/Downloads/Cyberduck.app/Contents/Resources/Java/libLaunchServicesApplicationFinder.dylib
       0x10b573000 -        0x10b575fff +libLaunchServicesFileDescriptor.dylib (1) <E0FD34E4-D64C-3D65-B9B9-05A91C3837BE> /Users/USER/Downloads/Cyberduck.app/Contents/Resources/Java/libLaunchServicesFileDescriptor.dylib
       0x10b57c000 -        0x10b57efff +libLaunchServicesQuarantineService.dylib (1) <FAB04981-A998-35CA-8C0C-7B4948587FA0> /Users/USER/Downloads/Cyberduck.app/Contents/Resources/Java/libLaunchServicesQuarantineService.dylib
       0x10b585000 -        0x10b587fff +libLaunchServicesSchemeHandler.dylib (1) <6D601585-472A-3981-A6C8-441400E9E2D1> /Users/USER/Downloads/Cyberduck.app/Contents/Resources/Java/libLaunchServicesSchemeHandler.dylib
       0x10b58e000 -        0x10b590fff +libFoundationProgressService.dylib (1) <43A1D6B8-021C-38E4-A237-FB0BE23459E8> /Users/USER/Downloads/Cyberduck.app/Contents/Resources/Java/libFoundationProgressService.dylib
       0x10b597000 -        0x10b599fff +libIOKitSleepPreventer.dylib (1) <D5210846-984B-3891-84D7-1B4E25481860> /Users/USER/Downloads/Cyberduck.app/Contents/Resources/Java/libIOKitSleepPreventer.dylib
       0x10dc3c000 -        0x10dcd2ff7  unorm8_rgba.dylib (2.2.16) <853BEBC4-AED9-3CE2-B91D-3D666E7C7C8F> /System/Library/Frameworks/OpenCL.framework/Libraries/ImageFormats/unorm8_rgba.dylib
       0x10e16f000 -        0x10e209ff7  unorm8_bgra.dylib (2.2.16) <5D62BED8-DF5D-3C51-94B4-57368FF10DDB> /System/Library/Frameworks/OpenCL.framework/Libraries/ImageFormats/unorm8_bgra.dylib
    0x7fff66520000 -     0x7fff6655493f  dyld (210.2.3) <6900F2BA-DB48-3B78-B668-58FC0CF6BCB8> /usr/lib/dyld
    0x7fff87336000 -     0x7fff873c3ff7  com.apple.SearchKit (1.4.0 - 1.4.0) <C7F43889-F8BF-3CB9-AD66-11AEFCBCEDE7> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SearchKit.framework/Versions/A/SearchKit
    0x7fff87410000 -     0x7fff87410fff  libkeymgr.dylib (25) <CC9E3394-BE16-397F-926B-E579B60EE429> /usr/lib/system/libkeymgr.dylib
    0x7fff87411000 -     0x7fff8741fff7  libsystem_network.dylib (77.10) <0D99F24E-56FE-380F-B81B-4A4C630EE587> /usr/lib/system/libsystem_network.dylib
    0x7fff87420000 -     0x7fff874f2ff7  com.apple.CoreText (260.0 - 275.17) <AB493289-E188-3CCA-8658-1E5039715F82> /System/Library/Frameworks/CoreText.framework/Versions/A/CoreText
    0x7fff87537000 -     0x7fff8753ffff  liblaunch.dylib (442.26.2) <2F71CAF8-6524-329E-AC56-C506658B4C0C> /usr/lib/system/liblaunch.dylib
    0x7fff87540000 -     0x7fff875c0ff7  com.apple.ApplicationServices.ATS (332 - 341.1) <39B53565-FA31-3F61-B090-C787C983142E> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/ATS
    0x7fff875dd000 -     0x7fff87629ff7  libauto.dylib (185.4) <AD5A4CE7-CB53-313C-9FAE-673303CC2D35> /usr/lib/libauto.dylib
    0x7fff8762a000 -     0x7fff8768dfff  com.apple.audio.CoreAudio (4.1.2 - 4.1.2) <FEAB83AB-1DE5-3813-BA48-7A7F2374CCF0> /System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio
    0x7fff8768e000 -     0x7fff8769cfff  libcommonCrypto.dylib (60027) <BAAFE0C9-BB86-3CA7-88C0-E3CBA98DA06F> /usr/lib/system/libcommonCrypto.dylib
    0x7fff8769d000 -     0x7fff8773bff7  com.apple.ink.framework (10.8.2 - 150) <3D8D16A2-7E01-3EA1-B637-83A36D353308> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Ink.framework/Versions/A/Ink
    0x7fff8773c000 -     0x7fff87798ff7  com.apple.Symbolication (1.3 - 93) <D5044687-E424-31CF-B120-667143E6B9C1> /System/Library/PrivateFrameworks/Symbolication.framework/Versions/A/Symbolication
    0x7fff87799000 -     0x7fff877b0fff  libGL.dylib (8.10.1) <F8BABA3C-7810-3A65-83FC-61945AA50E90> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib
    0x7fff877b1000 -     0x7fff877d6ff7  libc++abi.dylib (26) <D86169F3-9F31-377A-9AF3-DB17142052E4> /usr/lib/libc++abi.dylib
    0x7fff877d7000 -     0x7fff877eaff7  com.apple.LangAnalysis (1.7.0 - 1.7.0) <2F2694E9-A7BC-33C7-B4CF-8EC907DF0FEB> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LangAnalysis.framework/Versions/A/LangAnalysis
    0x7fff877eb000 -     0x7fff878c5fff  com.apple.backup.framework (1.4.3 - 1.4.3) <6B65C44C-7777-3331-AD9D-438D10AAC777> /System/Library/PrivateFrameworks/Backup.framework/Versions/A/Backup
    0x7fff878c6000 -     0x7fff87922fff  com.apple.QuickLookFramework (4.0 - 555.5) <8B9EAC35-98F3-3BF0-8B15-3A5FE39F150A> /System/Library/Frameworks/QuickLook.framework/Versions/A/QuickLook
    0x7fff879c3000 -     0x7fff87ac5fff  libJP2.dylib (851) <26FFBDBF-9CCE-33D7-A45B-0A31C98DA37E> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libJP2.dylib
    0x7fff87b49000 -     0x7fff87e79fff  com.apple.HIToolbox (2.0 - 626.1) <656D08C2-9068-3532-ABDD-32EC5057CCB2> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox
    0x7fff87e7a000 -     0x7fff87e7afff  com.apple.ApplicationServices (45 - 45) <A3ABF20B-ED3A-32B5-830E-B37831A45A80> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices
    0x7fff87e7b000 -     0x7fff882b7fff  com.apple.VideoToolbox (1.0 - 926.106) <B1185D9D-02AC-3D27-B894-21B1179F2AEF> /System/Library/Frameworks/VideoToolbox.framework/Versions/A/VideoToolbox
    0x7fff882b8000 -     0x7fff88307ff7  libcorecrypto.dylib (106.2) <CE0C29A3-C420-339B-ADAA-52F4683233CC> /usr/lib/system/libcorecrypto.dylib
    0x7fff88308000 -     0x7fff88406fff  com.apple.QuickLookUIFramework (4.0 - 555.5) <EE02B332-20F3-3226-A022-D71B808E1CC4> /System/Library/Frameworks/Quartz.framework/Versions/A/Frameworks/QuickLookUI.framework/Versions/A/QuickLookUI
    0x7fff88407000 -     0x7fff884d3ff7  libsystem_c.dylib (825.40.1) <543B05AE-CFA5-3EFE-8E58-77225411BA6B> /usr/lib/system/libsystem_c.dylib
    0x7fff884d7000 -     0x7fff88516ff7  com.apple.QD (3.42.1 - 285.1) <77A20C25-EBB5-341C-A05C-5D458B97AD5C> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/QD.framework/Versions/A/QD
    0x7fff88517000 -     0x7fff88518ff7  libsystem_sandbox.dylib (220.3) <B739DA63-B675-387A-AD84-412A651143C0> /usr/lib/system/libsystem_sandbox.dylib
    0x7fff8851b000 -     0x7fff8851bfff  com.apple.Accelerate (1.8 - Accelerate 1.8) <878A6E7E-CB34-380F-8212-47FBF12C7C96> /System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate
    0x7fff88521000 -     0x7fff88552ff7  com.apple.DictionaryServices (1.2 - 184.4) <FB0540FF-5034-3591-A28D-6887FBC220F7> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/DictionaryServices.framework/Versions/A/DictionaryServices
    0x7fff88557000 -     0x7fff885a6fff  com.apple.framework.CoreWiFi (1.3 - 130.13) <CCF3D8E3-CD1C-36CD-929A-C9972F833F24> /System/Library/Frameworks/CoreWiFi.framework/Versions/A/CoreWiFi
    0x7fff885a7000 -     0x7fff885abfff  libpam.2.dylib (20) <C8F45864-5B58-3237-87E1-2C258A1D73B8> /usr/lib/libpam.2.dylib
    0x7fff88799000 -     0x7fff887aaff7  libsasl2.2.dylib (166) <649CAE0E-8FFE-3C60-A849-BE6300E4B726> /usr/lib/libsasl2.2.dylib
    0x7fff887b3000 -     0x7fff8880dfff  com.apple.print.framework.PrintCore (8.3 - 387.2) <5BA0CBED-4D80-386A-9646-F835C9805B71> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/PrintCore.framework/Versions/A/PrintCore
    0x7fff8880e000 -     0x7fff88818fff  com.apple.speech.recognition.framework (4.1.5 - 4.1.5) <D803919C-3102-3515-A178-61E9C86C46A1> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SpeechRecognition.framework/Versions/A/SpeechRecognition
    0x7fff88819000 -     0x7fff88853ff7  com.apple.GSS (3.0 - 2.0) <423BDFCC-9187-3F3E-ABB0-D280003EB15E> /System/Library/Frameworks/GSS.framework/Versions/A/GSS
    0x7fff88854000 -     0x7fff88868fff  com.apple.speech.synthesis.framework (4.1.12 - 4.1.12) <94EDF2AB-809C-3D15-BED5-7AD45B2A7C16> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/SpeechSynthesis.framework/Versions/A/SpeechSynthesis
    0x7fff88869000 -     0x7fff888bffff  com.apple.HIServices (1.20 - 417) <839B4EE4-B96F-3371-BE90-3B4EBB86C6EA> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/HIServices
    0x7fff888e8000 -     0x7fff888e9ff7  libSystem.B.dylib (169.3) <FF25248A-574C-32DB-952F-B948C389B2A4> /usr/lib/libSystem.B.dylib
    0x7fff88929000 -     0x7fff8897aff7  com.apple.SystemConfiguration (1.12.2 - 1.12.2) <A4341BBD-A330-3A57-8891-E9C1A286A72D> /System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfiguration
    0x7fff889cb000 -     0x7fff88b56fff  com.apple.WebKit (8536 - 8536.30.1) <56B86FA1-ED74-3001-8942-1CA2281540EC> /System/Library/Frameworks/WebKit.framework/Versions/A/WebKit
    0x7fff88b57000 -     0x7fff88b57fff  com.apple.Accelerate.vecLib (3.8 - vecLib 3.8) <F565B686-24E2-39F2-ACC3-C5E4084476BE> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/vecLib
    0x7fff88b58000 -     0x7fff88b9cfff  libcups.2.dylib (327.7) <9F35B58A-F47E-348A-8E09-E235FA4B9270> /usr/lib/libcups.2.dylib
    0x7fff88bd6000 -     0x7fff88e8dff7  com.apple.MediaToolbox (1.0 - 926.106) <57043584-98E7-375A-89AE-F46480AA5D97> /System/Library/Frameworks/MediaToolbox.framework/Versions/A/MediaToolbox
    0x7fff88e8e000 -     0x7fff89285fff  libLAPACK.dylib (1073.4) <D632EC8B-2BA0-3853-800A-20DA00A1091C> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib
    0x7fff89286000 -     0x7fff89288fff  libCVMSPluginSupport.dylib (8.10.1) <F0239392-E0CB-37D7-BFE2-D6F5D42F9196> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCVMSPluginSupport.dylib
    0x7fff89289000 -     0x7fff89297fff  com.apple.Librarian (1.1 - 1) <5AC28666-7642-395F-A923-C6F8A274BBBD> /System/Library/PrivateFrameworks/Librarian.framework/Versions/A/Librarian
    0x7fff892af000 -     0x7fff892b3fff  libCGXType.A.dylib (333.1) <16625094-813E-39F8-9AFE-C1A24ED11749> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCGXType.A.dylib
    0x7fff892c3000 -     0x7fff892c4fff  libsystem_blocks.dylib (59) <D92DCBC3-541C-37BD-AADE-ACC75A0C59C8> /usr/lib/system/libsystem_blocks.dylib
    0x7fff892c9000 -     0x7fff892e3fff  com.apple.CoreMediaAuthoring (2.1 - 914) <F0E11E75-03DA-3622-B614-2257EBDABF25> /System/Library/PrivateFrameworks/CoreMediaAuthoring.framework/Versions/A/CoreMediaAuthoring
    0x7fff892e4000 -     0x7fff892e5fff  libDiagnosticMessagesClient.dylib (8) <8548E0DC-0D2F-30B6-B045-FE8A038E76D8> /usr/lib/libDiagnosticMessagesClient.dylib
    0x7fff892e6000 -     0x7fff89354ff7  com.apple.framework.IOKit (2.0.1 - 755.42.1) <A90038ED-48F2-3CC9-A042-53A3D7985844> /System/Library/Frameworks/IOKit.framework/Versions/A/IOKit
    0x7fff89b85000 -     0x7fff89b92fff  libbz2.1.0.dylib (29) <CE9785E8-B535-3504-B392-82F0064D9AF2> /usr/lib/libbz2.1.0.dylib
    0x7fff89b93000 -     0x7fff89b96ff7  libdyld.dylib (210.2.3) <F59367C9-C110-382B-A695-9035A6DD387E> /usr/lib/system/libdyld.dylib
    0x7fff89b97000 -     0x7fff89b9bfff  libGIF.dylib (851) <AD40D084-6E34-38CD-967D-705F94B188DA> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libGIF.dylib
    0x7fff89b9c000 -     0x7fff89bf3ff7  com.apple.ScalableUserInterface (1.0 - 1) <F1D43DFB-1796-361B-AD4B-39F1EED3BE19> /System/Library/Frameworks/QuartzCore.framework/Versions/A/Frameworks/ScalableUserInterface.framework/Versions/A/ScalableUserInterface
    0x7fff89bf4000 -     0x7fff89d0efff  com.apple.coreavchd (5.6.0 - 5600.4.16) <0CF2ABE5-B088-3B5D-9C04-47AE708ADAE3> /System/Library/PrivateFrameworks/CoreAVCHD.framework/Versions/A/CoreAVCHD
    0x7fff89d71000 -     0x7fff89e66fff  libiconv.2.dylib (34) <FEE8B996-EB44-37FA-B96E-D379664DEFE1> /usr/lib/libiconv.2.dylib
    0x7fff89ed7000 -     0x7fff89f03ff7  libRIP.A.dylib (333.1) <CC2A33EB-409C-3C4D-97D4-41F4A080F874> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libRIP.A.dylib
    0x7fff89f04000 -     0x7fff89f06fff  com.apple.TrustEvaluationAgent (2.0 - 23) <A97D348B-32BF-3E52-8DF2-59BFAD21E1A3> /System/Library/PrivateFrameworks/TrustEvaluationAgent.framework/Versions/A/TrustEvaluationAgent
    0x7fff89f07000 -     0x7fff8a004ff7  libxml2.2.dylib (22.3) <47B09CB2-C636-3024-8B55-6040F7829B4C> /usr/lib/libxml2.2.dylib
    0x7fff8a005000 -     0x7fff8a009ff7  com.apple.TCC (1.0 - 1) <F2F3B753-FC73-3543-8BBE-859FDBB4D6A6> /System/Library/PrivateFrameworks/TCC.framework/Versions/A/TCC
    0x7fff8a061000 -     0x7fff8a9f1627  com.apple.CoreGraphics (1.600.0 - 333.1) <C085C074-7260-3C3D-90C6-A65D3CB2BD41> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics
    0x7fff8ace3000 -     0x7fff8ad0afff  com.apple.framework.familycontrols (4.1 - 410) <50F5A52C-8FB6-300A-977D-5CFDE4D5796B> /System/Library/PrivateFrameworks/FamilyControls.framework/Versions/A/FamilyControls
    0x7fff8ad0b000 -     0x7fff8afdcff7  com.apple.security (7.0 - 55179.13) <F428E306-C407-3B55-BA82-E58755E8A76F> /System/Library/Frameworks/Security.framework/Versions/A/Security
    0x7fff8afdd000 -     0x7fff8afdfff7  com.apple.print.framework.Print (8.0 - 258) <34666CC2-B86D-3313-B3B6-A9977AD593DA> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Print.framework/Versions/A/Print
    0x7fff8afe0000 -     0x7fff8afeffff  com.apple.opengl (1.8.10 - 1.8.10) <AD49CF56-B7C1-3598-8610-58532FC41345> /System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL
    0x7fff8aff0000 -     0x7fff8b058ff7  libc++.1.dylib (65.1) <20E31B90-19B9-3C2A-A9EB-474E08F9FE05> /usr/lib/libc++.1.dylib
    0x7fff8b065000 -     0x7fff8b0e4ff7  com.apple.securityfoundation (6.0 - 55115.4) <64EDD2F2-4DE2-3DE5-BE57-43D413853CF9> /System/Library/Frameworks/SecurityFoundation.framework/Versions/A/SecurityFoundation
    0x7fff8b0e5000 -     0x7fff8b0fcfff  com.apple.GenerationalStorage (1.1 - 132.3) <FD4A84B3-13A8-3C60-A59E-25A361447A17> /System/Library/PrivateFrameworks/GenerationalStorage.framework/Versions/A/GenerationalStorage
    0x7fff8b117000 -     0x7fff8b16eff7  com.apple.AppleVAFramework (5.0.19 - 5.0.19) <541A7DBE-F8E4-3023-A3C0-8D5A2A550CFB> /System/Library/PrivateFrameworks/AppleVA.framework/Versions/A/AppleVA
    0x7fff8b16f000 -     0x7fff8b36ffff  libicucore.A.dylib (491.11.3) <5783D305-04E8-3D17-94F7-1CEAFA975240> /usr/lib/libicucore.A.dylib
    0x7fff8b370000 -     0x7fff8b372fff  com.apple.securityhi (4.0 - 55002) <9B6CBA92-123F-3307-A2D7-D77A8D3BF87E> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SecurityHI.framework/Versions/A/SecurityHI
    0x7fff8b39c000 -     0x7fff8b409ff7  com.apple.datadetectorscore (4.1 - 269.3) <5775F0DB-87D6-310D-8B03-E2AD729EFB28> /System/Library/PrivateFrameworks/DataDetectorsCore.framework/Versions/A/DataDetectorsCore
    0x7fff8b40a000 -     0x7fff8b40dfff  com.apple.help (1.3.2 - 42) <343904FE-3022-3573-97D6-5FE17F8643BA> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Help.framework/Versions/A/Help
    0x7fff8b411000 -     0x7fff8b412fff  liblangid.dylib (116) <864C409D-D56B-383E-9B44-A435A47F2346> /usr/lib/liblangid.dylib
    0x7fff8b413000 -     0x7fff8b41bff7  libsystem_dnssd.dylib (379.38.1) <BDCB8566-0189-34C0-9634-35ABD3EFE25B> /usr/lib/system/libsystem_dnssd.dylib
    0x7fff8b41c000 -     0x7fff8b43bff7  com.apple.ChunkingLibrary (2.0 - 133.3) <8BEC9AFB-DCAA-37E8-A5AB-24422B234ECF> /System/Library/PrivateFrameworks/ChunkingLibrary.framework/Versions/A/ChunkingLibrary
    0x7fff8b43c000 -     0x7fff8b6e0ff7  com.apple.CoreImage (8.4.0 - 1.0.1) <CC6DD22B-FFC6-310B-BE13-2397A02C79EF> /System/Library/Frameworks/QuartzCore.framework/Versions/A/Frameworks/CoreImage.framework/Versions/A/CoreImage
    0x7fff8b6e1000 -     0x7fff8b7e3fff  libcrypto.0.9.8.dylib (47.2) <CF3BAB7E-4972-39FD-AF92-28ACAFF0873E> /usr/lib/libcrypto.0.9.8.dylib
    0x7fff8b7e4000 -     0x7fff8b7e8fff  libCoreVMClient.dylib (32.5) <DB009CD4-BB0E-3331-BBB4-A118781D193F> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCoreVMClient.dylib
    0x7fff8b8e2000 -     0x7fff8b9d3ff7  com.apple.DiskImagesFramework (10.8.3 - 345) <F9FAEAF0-B9A5-34DF-94B7-926FB03AD5F6> /System/Library/PrivateFrameworks/DiskImages.framework/Versions/A/DiskImages
    0x7fff8b9d4000 -     0x7fff8b9d4fff  com.apple.CoreServices (57 - 57) <9DD44CB0-C644-35C3-8F57-0B41B3EC147D> /System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices
    0x7fff8b9d5000 -     0x7fff8b9f6fff  com.apple.Ubiquity (1.2 - 243.15) <C9A7EE77-B637-3676-B667-C0843BBB0409> /System/Library/PrivateFrameworks/Ubiquity.framework/Versions/A/Ubiquity
    0x7fff8b9f7000 -     0x7fff8ba1ffff  libJPEG.dylib (851) <64A3EB03-34FB-308C-817B-6106D1F4D80F> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libJPEG.dylib
    0x7fff8ba20000 -     0x7fff8ba3bff7  libsystem_kernel.dylib (2050.48.12) <4B7993C3-F62D-3AC1-AF92-414A0D6EED5E> /usr/lib/system/libsystem_kernel.dylib
    0x7fff8ba3c000 -     0x7fff8bb5492f  libobjc.A.dylib (532.2) <90D31928-F48D-3E37-874F-220A51FD9E37> /usr/lib/libobjc.A.dylib
    0x7fff8bbfd000 -     0x7fff8be32ff7  com.apple.CoreData (106.1 - 407.7) <A676E1A4-2144-376B-92B8-B450DD1D78E5> /System/Library/Frameworks/CoreData.framework/Versions/A/CoreData
    0x7fff8be33000 -     0x7fff8bee4fff  com.apple.LaunchServices (539.9 - 539.9) <07FC6766-778E-3479-8F28-D2C9917E1DD1> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchServices
    0x7fff8bf2a000 -     0x7fff8bf2dfff  com.apple.AppleSystemInfo (2.0 - 2) <BC221376-361F-3F85-B284-DC251D3BB442> /System/Library/PrivateFrameworks/AppleSystemInfo.framework/Versions/A/AppleSystemInfo
    0x7fff8bf2e000 -     0x7fff8c039fff  libFontParser.dylib (84.6) <96C42E49-79A6-3475-B5E4-6A782599A6DA> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libFontParser.dylib
    0x7fff8c03a000 -     0x7fff8c137fff  libsqlite3.dylib (138.1) <ADE9CB98-D77D-300C-A32A-556B7440769F> /usr/lib/libsqlite3.dylib
    0x7fff8c138000 -     0x7fff8c18dff7  libTIFF.dylib (851) <7706BB07-E7E8-38BE-A5F0-D8B63E3B9283> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libTIFF.dylib
    0x7fff8c190000 -     0x7fff8c19fff7  libxar.1.dylib (105) <370ED355-E516-311E-BAFD-D80633A84BE1> /usr/lib/libxar.1.dylib
    0x7fff8c1f7000 -     0x7fff8c1fcfff  libcompiler_rt.dylib (30) <08F8731D-5961-39F1-AD00-4590321D24A9> /usr/lib/system/libcompiler_rt.dylib
    0x7fff8c291000 -     0x7fff8c2bcfff  libxslt.1.dylib (11.3) <441776B8-9130-3893-956F-39C85FFA644F> /usr/lib/libxslt.1.dylib
    0x7fff8c2bd000 -     0x7fff8c33fff7  com.apple.Heimdal (3.0 - 2.0) <ACF0C667-5ACC-382A-A998-61E85386C814> /System/Library/PrivateFrameworks/Heimdal.framework/Versions/A/Heimdal
    0x7fff8c343000 -     0x7fff8c4f1fff  com.apple.QuartzCore (1.8 - 304.3) <F450F2DE-2F24-3557-98B6-310E05DAC17F> /System/Library/Frameworks/QuartzCore.framework/Versions/A/QuartzCore
    0x7fff8c4f3000 -     0x7fff8c645fff  com.apple.audio.toolbox.AudioToolbox (1.9.2 - 1.9.2) <DC5F3D1B-036A-37DE-BC24-7636DC95EA1C> /System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox
    0x7fff8c686000 -     0x7fff8c6e5fff  com.apple.AE (645.6 - 645.6) <44F403C1-660A-3543-AB9C-3902E02F936F> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE
    0x7fff8c6e6000 -     0x7fff8c733fff  com.apple.CoreMediaIO (309.0 - 4163.1) <8FD1C1A9-25C5-3B9E-A76D-BE813253B358> /System/Library/Frameworks/CoreMediaIO.framework/Versions/A/CoreMediaIO
    0x7fff8c734000 -     0x7fff8c7daff7  com.apple.CoreServices.OSServices (557.6 - 557.6) <1BDB5456-0CE9-301C-99C1-8EFD0D2BFCCD> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OSServices.framework/Versions/A/OSServices
    0x7fff8c7db000 -     0x7fff8c818fef  libGLImage.dylib (8.10.1) <91E31B9B-4141-36D5-ABDC-20F1D6D1D0CF> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLImage.dylib
    0x7fff8c819000 -     0x7fff8c836ff7  com.apple.openscripting (1.3.6 - 148.3) <C008F56A-1E01-3D4C-A9AF-97799D0FAE69> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/OpenScripting.framework/Versions/A/OpenScripting
    0x7fff8c8f0000 -     0x7fff8c98afff  libvMisc.dylib (380.10) <A7F12764-A94C-36EB-88E0-F826F5AF55B4> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvMisc.dylib
    0x7fff8c98b000 -     0x7fff8cb00ff7  com.apple.CFNetwork (596.5 - 596.5) <22372475-6EF4-3A04-83FC-C061FE4717B3> /System/Library/Frameworks/CFNetwork.framework/Versions/A/CFNetwork
    0x7fff8cb01000 -     0x7fff8cb69fff  libvDSP.dylib (380.10) <3CA154A3-1BE5-3CF4-BE48-F0A719A963BB> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvDSP.dylib
    0x7fff8cb6a000 -     0x7fff8cd05fef  com.apple.vImage (6.0 - 6.0) <FAE13169-295A-33A5-8E6B-7C2CC1407FA7> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/vImage
    0x7fff8cd06000 -     0x7fff8cd34ff7  libsystem_m.dylib (3022.6) <B434BE5C-25AB-3EBD-BAA7-5304B34E3441> /usr/lib/system/libsystem_m.dylib
    0x7fff8cde7000 -     0x7fff8ce0eff7  com.apple.PerformanceAnalysis (1.16 - 16) <E4888388-F41B-313E-9CBB-5807D077BDA9> /System/Library/PrivateFrameworks/PerformanceAnalysis.framework/Versions/A/PerformanceAnalysis
    0x7fff8ce0f000 -     0x7fff8ce11ff7  libunc.dylib (25) <92805328-CD36-34FF-9436-571AB0485072> /usr/lib/system/libunc.dylib
    0x7fff8ce12000 -     0x7fff8ce1fff7  com.apple.NetAuth (4.0 - 4.0) <F5BC7D7D-AF28-3C83-A674-DADA48FF7810> /System/Library/PrivateFrameworks/NetAuth.framework/Versions/A/NetAuth
    0x7fff8ce20000 -     0x7fff8d137ff7  com.apple.CoreServices.CarbonCore (1037.6 - 1037.6) <1E567A52-677F-3168-979F-5FBB0818D52B> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore
    0x7fff8d46c000 -     0x7fff8d4a0fff  com.apple.securityinterface (6.0 - 55024.4) <614C9B8E-2056-3A41-9A01-DAF74C97CC43> /System/Library/Frameworks/SecurityInterface.framework/Versions/A/SecurityInterface
    0x7fff8d4a1000 -     0x7fff8d4c0ff7  libresolv.9.dylib (51) <0882DC2D-A892-31FF-AD8C-0BB518C48B23> /usr/lib/libresolv.9.dylib
    0x7fff8d4cf000 -     0x7fff8d4d1fff  libquarantine.dylib (52.1) <143B726E-DF47-37A8-90AA-F059CFD1A2E4> /usr/lib/system/libquarantine.dylib
    0x7fff8d4d2000 -     0x7fff8d4d2fff  com.apple.quartzframework (1.5 - 1.5) <6403C982-0D45-37EE-A0F0-0EF8BCFEF440> /System/Library/Frameworks/Quartz.framework/Versions/A/Quartz
    0x7fff8d4d3000 -     0x7fff8d4defff  com.apple.CommonAuth (3.0 - 2.0) <1CA95702-DDC7-3ADB-891E-7F037ABDDA14> /System/Library/PrivateFrameworks/CommonAuth.framework/Versions/A/CommonAuth
    0x7fff8d514000 -     0x7fff8e4d3ff7  com.apple.WebCore (8536 - 8536.30.2) <3FF4783B-EF75-34F5-995C-316557148A18> /System/Library/Frameworks/WebKit.framework/Versions/A/Frameworks/WebCore.framework/Versions/A/WebCore
    0x7fff8e72e000 -     0x7fff8e739ff7  com.apple.DisplayServicesFW (2.7.2 - 357) <EC87A00D-FE9C-3CFE-A98C-063C3D23085A> /System/Library/PrivateFrameworks/DisplayServices.framework/Versions/A/DisplayServices
    0x7fff8e73a000 -     0x7fff8e77aff7  com.apple.MediaKit (14 - 687) <8AAA8CC3-3ACD-34A5-9E57-9B24AD8AFD4D> /System/Library/PrivateFrameworks/MediaKit.framework/Versions/A/MediaKit
    0x7fff8e77b000 -     0x7fff8e965ff7  com.apple.CoreFoundation (6.8 - 744.19) <0F7403CA-2CB8-3D0A-992B-679701DF27CA> /System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation
    0x7fff8e966000 -     0x7fff8ea7ffff  com.apple.ImageIO.framework (3.2.2 - 851) <6552C673-9F29-3B31-A12E-C4391A950965> /System/Library/Frameworks/ImageIO.framework/Versions/A/ImageIO
    0x7fff8ea80000 -     0x7fff8ea86fff  com.apple.DiskArbitration (2.5.2 - 2.5.2) <C713A35A-360E-36CE-AC0A-25C86A3F50CA> /System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitration
    0x7fff8ea87000 -     0x7fff8ead3fff  com.apple.framework.CoreWLAN (3.4 - 340.18) <3735FB49-30C0-3B11-BE25-2ACDD96041B5> /System/Library/Frameworks/CoreWLAN.framework/Versions/A/CoreWLAN
    0x7fff8ead4000 -     0x7fff8eb1ffff  com.apple.CoreMedia (1.0 - 926.106) <64467905-48DC-37F9-9F32-186768CF2640> /System/Library/Frameworks/CoreMedia.framework/Versions/A/CoreMedia
    0x7fff8ebb0000 -     0x7fff8ec31fff  com.apple.Metadata (10.7.0 - 707.12) <69E3EEF7-8B7B-3652-8320-B8E885370E56> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Metadata.framework/Versions/A/Metadata
    0x7fff8ec32000 -     0x7fff8eee1fff  com.apple.imageKit (2.2 - 673) <5F0504DA-7CE9-3D97-B2B5-3C5839AEBF1F> /System/Library/Frameworks/Quartz.framework/Versions/A/Frameworks/ImageKit.framework/Versions/A/ImageKit
    0x7fff8eee2000 -     0x7fff8eee9fff  com.apple.NetFS (5.0 - 4.0) <82E24B9A-7742-3DA3-9E99-ED267D98C05E> /System/Library/Frameworks/NetFS.framework/Versions/A/NetFS
    0x7fff8eeea000 -     0x7fff8ef14ff7  com.apple.CoreVideo (1.8 - 99.4) <E5082966-6D81-3973-A05A-38AA5B85F886> /System/Library/Frameworks/CoreVideo.framework/Versions/A/CoreVideo
    0x7fff8ef15000 -     0x7fff8ef1eff7  com.apple.CommerceCore (1.0 - 26.2) <AF35874A-6FA7-328E-BE30-8BBEF0B741A8> /System/Library/PrivateFrameworks/CommerceKit.framework/Versions/A/Frameworks/CommerceCore.framework/Versions/A/CommerceCore
    0x7fff8ef1f000 -     0x7fff8f1baff7  com.apple.JavaScriptCore (8536 - 8536.30) <FE3C5ADD-43D3-33C9-9150-8DCEFDA218E2> /System/Library/Frameworks/JavaScriptCore.framework/Versions/A/JavaScriptCore
    0x7fff8f1bb000 -     0x7fff8f1e7fff  com.apple.framework.Apple80211 (8.5 - 850.252) <73506CA1-CF76-3A98-A6F2-3DDAC10CB67A> /System/Library/PrivateFrameworks/Apple80211.framework/Versions/A/Apple80211
    0x7fff8f1e8000 -     0x7fff8f308fff  com.apple.desktopservices (1.7.4 - 1.7.4) <ED3DA8C0-160F-3CDC-B537-BF2E766AB7C1> /System/Library/PrivateFrameworks/DesktopServicesPriv.framework/Versions/A/DesktopServicesPriv
    0x7fff8f309000 -     0x7fff8f30cfff  libRadiance.dylib (851) <C317B2C7-CA3A-329F-B6DC-7CC33FE08C81> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libRadiance.dylib
    0x7fff8f4ac000 -     0x7fff8fa1cff7  com.apple.CoreAUC (6.22.03 - 6.22.03) <A77BC97A-B695-3F7E-8696-5B2357C2726B> /System/Library/PrivateFrameworks/CoreAUC.framework/Versions/A/CoreAUC
    0x7fff8fa1d000 -     0x7fff8fad0ff7  com.apple.PDFKit (2.8.5 - 2.8.5) <EAAED40E-7B2C-3312-826E-26A9DEDBF0FC> /System/Library/Frameworks/Quartz.framework/Versions/A/Frameworks/PDFKit.framework/Versions/A/PDFKit
    0x7fff8fad1000 -     0x7fff8fafdfff  com.apple.quartzfilters (1.8.0 - 1.7.0) <B8DE45D7-1827-3379-A478-1A574A1D11D9> /System/Library/Frameworks/Quartz.framework/Versions/A/Frameworks/QuartzFilters.framework/Versions/A/QuartzFilters
    0x7fff8fafe000 -     0x7fff8fafeffd  com.apple.audio.units.AudioUnit (1.9.2 - 1.9.2) <6D314680-7409-3BC7-A807-36341411AF9A> /System/Library/Frameworks/AudioUnit.framework/Versions/A/AudioUnit
    0x7fff8fb50000 -     0x7fff8fb86fff  libsystem_info.dylib (406.17) <4FFCA242-7F04-365F-87A6-D4EFB89503C1> /usr/lib/system/libsystem_info.dylib
    0x7fff8fba3000 -     0x7fff8fba9ff7  libunwind.dylib (35.1) <21703D36-2DAB-3D8B-8442-EAAB23C060D3> /usr/lib/system/libunwind.dylib
    0x7fff8fbaa000 -     0x7fff8fc03ff7  com.apple.ImageCaptureCore (5.0.4 - 5.0.4) <84F003C2-5758-3D0A-8644-F3A0BA4F22FC> /System/Library/Frameworks/ImageCaptureCore.framework/Versions/A/ImageCaptureCore
    0x7fff8fd2f000 -     0x7fff9095cfff  com.apple.AppKit (6.8 - 1187.40) <F12CF463-6F88-32ED-9EBA-0FA2AD3CF576> /System/Library/Frameworks/AppKit.framework/Versions/C/AppKit
    0x7fff90d31000 -     0x7fff90d44ff7  libbsm.0.dylib (32) <F497D3CE-40D9-3551-84B4-3D5E39600737> /usr/lib/libbsm.0.dylib
    0x7fff90d5f000 -     0x7fff90d6aff7  com.apple.bsd.ServiceManagement (2.0 - 2.0) <C12962D5-85FB-349E-AA56-64F4F487F219> /System/Library/Frameworks/ServiceManagement.framework/Versions/A/ServiceManagement
    0x7fff90e5c000 -     0x7fff90e63fff  libcopyfile.dylib (89) <876573D0-E907-3566-A108-577EAD1B6182> /usr/lib/system/libcopyfile.dylib
    0x7fff90e64000 -     0x7fff90fc2fef  com.apple.MediaControlSender (1.7 - 170.20) <853BE89D-49B0-3922-9ED5-DDBDE9A97356> /System/Library/PrivateFrameworks/MediaControlSender.framework/Versions/A/MediaControlSender
    0x7fff90fc3000 -     0x7fff91096ff7  com.apple.DiscRecording (7.0 - 7000.2.4) <9DA3C0A7-0AB9-3DD1-9D84-737BB0014F1E> /System/Library/Frameworks/DiscRecording.framework/Versions/A/DiscRecording
    0x7fff9194d000 -     0x7fff919e1ff7  com.apple.CorePDF (2.2 - 2.2) <F17D7D37-4190-38E2-9F43-DD4F87792390> /System/Library/PrivateFrameworks/CorePDF.framework/Versions/A/CorePDF
    0x7fff91a7d000 -     0x7fff91ac5fff  libcurl.4.dylib (69.2) <EBDBF42D-E4A6-3D05-A76B-2817D79D59E2> /usr/lib/libcurl.4.dylib
    0x7fff91ac6000 -     0x7fff91ac6fff  libOpenScriptingUtil.dylib (148.3) <F8681222-0969-3B10-8BCE-C55A4B9C520C> /usr/lib/libOpenScriptingUtil.dylib
    0x7fff91b22000 -     0x7fff91b37fff  com.apple.ImageCapture (8.0 - 8.0) <17A45CE6-7DA3-36A5-B7EF-72BC136981AE> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/ImageCapture.framework/Versions/A/ImageCapture
    0x7fff91b39000 -     0x7fff91b7cff7  com.apple.bom (12.0 - 192) <0BF1F2D2-3648-36B7-BE4B-551A0173209B> /System/Library/PrivateFrameworks/Bom.framework/Versions/A/Bom
    0x7fff91b7d000 -     0x7fff91b7dfff  com.apple.Carbon (154 - 155) <CC5AA589-242E-3BE1-B776-7D4FFD93D0C1> /System/Library/Frameworks/Carbon.framework/Versions/A/Carbon
    0x7fff91b7e000 -     0x7fff91bb9fff  com.apple.LDAPFramework (2.4.28 - 194.5) <7E4F2C08-0010-34AE-BC46-149B7EE8A0F5> /System/Library/Frameworks/LDAP.framework/Versions/A/LDAP
    0x7fff91bba000 -     0x7fff91bc6fff  libCSync.A.dylib (333.1) <319D3E83-8086-3990-8773-872F2E7C6EB3> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCSync.A.dylib
    0x7fff91bc7000 -     0x7fff91bcbfff  com.apple.IOSurface (86.0.4 - 86.0.4) <26F01CD4-B76B-37A3-989D-66E8140542B3> /System/Library/Frameworks/IOSurface.framework/Versions/A/IOSurface
    0x7fff91bcc000 -     0x7fff91bd3fff  libGFXShared.dylib (8.10.1) <B4AB9480-2CDB-34F8-8D6F-F5A2CFC221B0> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGFXShared.dylib
    0x7fff91c2f000 -     0x7fff91c3bfff  com.apple.CrashReporterSupport (10.8.3 - 418) <DE6AFE16-D97E-399D-82ED-3522C773C36E> /System/Library/PrivateFrameworks/CrashReporterSupport.framework/Versions/A/CrashReporterSupport
    0x7fff91c3c000 -     0x7fff91cd7fff  com.apple.CoreSymbolication (3.0 - 117) <7D43ED93-BD81-338C-8076-6A932A1D19E8> /System/Library/PrivateFrameworks/CoreSymbolication.framework/Versions/A/CoreSymbolication
    0x7fff91cd8000 -     0x7fff91cdcff7  com.apple.CommonPanels (1.2.5 - 94) <AAC003DE-2D6E-38B7-B66B-1F3DA91E7245> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CommonPanels.framework/Versions/A/CommonPanels
    0x7fff91cf8000 -     0x7fff91cfefff  libmacho.dylib (829) <BF332AD9-E89F-387E-92A4-6E1AB74BD4D9> /usr/lib/system/libmacho.dylib
    0x7fff91d22000 -     0x7fff91d22fff  com.apple.vecLib (3.8 - vecLib 3.8) <6CBBFDC4-415C-3910-9558-B67176447789> /System/Library/Frameworks/vecLib.framework/Versions/A/vecLib
    0x7fff91dde000 -     0x7fff91debfff  com.apple.AppleFSCompression (49 - 1.0) <5508344A-2A7E-3122-9562-6F363910A80E> /System/Library/PrivateFrameworks/AppleFSCompression.framework/Versions/A/AppleFSCompression
    0x7fff9240f000 -     0x7fff92445fff  com.apple.DebugSymbols (98 - 98) <14E788B1-4EB2-3FD7-934B-849534DFC198> /System/Library/PrivateFrameworks/DebugSymbols.framework/Versions/A/DebugSymbols
    0x7fff92446000 -     0x7fff9245bff7  libdispatch.dylib (228.23) <D26996BF-FC57-39EB-8829-F63585561E09> /usr/lib/system/libdispatch.dylib
    0x7fff9245c000 -     0x7fff9248afff  com.apple.CoreServicesInternal (154.3 - 154.3) <F4E118E4-E327-3314-83D7-EA20B1717ED0> /System/Library/PrivateFrameworks/CoreServicesInternal.framework/Versions/A/CoreServicesInternal
    0x7fff9248b000 -     0x7fff9249dff7  libz.1.dylib (43) <2A1551E8-A272-3DE5-B692-955974FE1416> /usr/lib/libz.1.dylib
    0x7fff9249e000 -     0x7fff9249efff  com.apple.Cocoa (6.7 - 19) <1F77945C-F37A-3171-B22E-F7AB0FCBB4D4> /System/Library/Frameworks/Cocoa.framework/Versions/A/Cocoa
    0x7fff924a3000 -     0x7fff924f2ff7  libFontRegistry.dylib (100) <2E03D7DA-9B8F-31BB-8FB5-3D3B6272127F> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libFontRegistry.dylib
    0x7fff92508000 -     0x7fff92925fff  FaceCoreLight (2.4.1) <DDAFFD7A-D312-3407-A010-5AEF3E17831B> /System/Library/PrivateFrameworks/FaceCoreLight.framework/Versions/A/FaceCoreLight
    0x7fff92926000 -     0x7fff92948ff7  com.apple.Kerberos (2.0 - 1) <C49B8820-34ED-39D7-A407-A3E854153556> /System/Library/Frameworks/Kerberos.framework/Versions/A/Kerberos
    0x7fff92999000 -     0x7fff929a7ff7  libkxld.dylib (2050.48.12) <B8F7ED1F-CF84-3777-9183-0A1C513DF81F> /usr/lib/system/libkxld.dylib
    0x7fff929a8000 -     0x7fff92a65ff7  com.apple.ColorSync (4.8.0 - 4.8.0) <6CE333AE-EDDB-3768-9598-9DB38041DC55> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ColorSync.framework/Versions/A/ColorSync
    0x7fff92b1b000 -     0x7fff92d76ff7  com.apple.QuartzComposer (5.1 - 287.1) <D1DD68D1-05D5-3037-ABB6-BF6EB183C155> /System/Library/Frameworks/Quartz.framework/Versions/A/Frameworks/QuartzComposer.framework/Versions/A/QuartzComposer
    0x7fff92d77000 -     0x7fff92dd1ff7  com.apple.opencl (2.2.19 - 2.2.19) <3C7DFB2C-B3F9-3447-A1FC-EAAA42181A6E> /System/Library/Frameworks/OpenCL.framework/Versions/A/OpenCL
    0x7fff92e6f000 -     0x7fff92ed8fff  libstdc++.6.dylib (56) <EAA2B53E-EADE-39CF-A0EF-FB9D4940672A> /usr/lib/libstdc++.6.dylib
    0x7fff92ed9000 -     0x7fff92f23ff7  libGLU.dylib (8.10.1) <6699DEA6-9EEB-3B84-A57F-B25AE44EC584> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLU.dylib
    0x7fff93076000 -     0x7fff933d5fff  com.apple.Foundation (6.8 - 945.18) <1D7E58E6-FA3A-3CE8-AC85-B9D06B8C0AA0> /System/Library/Frameworks/Foundation.framework/Versions/C/Foundation
    0x7fff933e2000 -     0x7fff933edfff  libsystem_notify.dylib (98.5) <C49275CC-835A-3207-AFBA-8C01374927B6> /usr/lib/system/libsystem_notify.dylib
    0x7fff933ee000 -     0x7fff93404fff  com.apple.MultitouchSupport.framework (237.4 - 237.4) <0F7FEE29-161B-3D8E-BE91-308CBD354461> /System/Library/PrivateFrameworks/MultitouchSupport.framework/Versions/A/MultitouchSupport
    0x7fff93405000 -     0x7fff9341cfff  com.apple.CFOpenDirectory (10.8 - 151.10) <7AD5F6E7-A745-3FF4-B813-9D064A8146EC> /System/Library/Frameworks/OpenDirectory.framework/Versions/A/Frameworks/CFOpenDirectory.framework/Versions/A/CFOpenDirectory
    0x7fff935ea000 -     0x7fff935effff  libcache.dylib (57) <65187C6E-3FBF-3EB8-A1AA-389445E2984D> /usr/lib/system/libcache.dylib
    0x7fff935f0000 -     0x7fff935f6fff  libCGXCoreImage.A.dylib (333.1) <FBAAF933-1798-3E53-B071-88C930D6BDEF> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCGXCoreImage.A.dylib
    0x7fff9386d000 -     0x7fff939f3fff  libBLAS.dylib (1073.4) <C102C0F6-8CB6-3B49-BA6B-2EB61F0B2784> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib
    0x7fff939f4000 -     0x7fff939f5ff7  libdnsinfo.dylib (453.19) <14202FFB-C3CA-3FCC-94B0-14611BF8692D> /usr/lib/system/libdnsinfo.dylib
    0x7fff939fe000 -     0x7fff93ac3ff7  com.apple.coreui (2.0 - 181.1) <83D2C92D-6842-3C9D-9289-39D5B4554C3A> /System/Library/PrivateFrameworks/CoreUI.framework/Versions/A/CoreUI
    0x7fff93ac4000 -     0x7fff93ae6ff7  libxpc.dylib (140.43) <70BC645B-6952-3264-930C-C835010CCEF9> /usr/lib/system/libxpc.dylib
    0x7fff93ae7000 -     0x7fff93ae8ff7  libremovefile.dylib (23.2) <6763BC8E-18B8-3AD9-8FFA-B43713A7264F> /usr/lib/system/libremovefile.dylib
    0x7fff93b53000 -     0x7fff93b8cff7  libssl.0.9.8.dylib (47.2) <46DF85DC-18FB-3108-91F6-52AE3EBF2347> /usr/lib/libssl.0.9.8.dylib
    0x7fff93b8d000 -     0x7fff93baeff7  libCRFSuite.dylib (33) <736ABE58-8DED-3289-A042-C25AF7AE5B23> /usr/lib/libCRFSuite.dylib
    0x7fff93baf000 -     0x7fff93bb4fff  com.apple.OpenDirectory (10.8 - 151.10) <3EE3D15A-3C79-3FF1-9A95-7CE2F065E542> /System/Library/Frameworks/OpenDirectory.framework/Versions/A/OpenDirectory
    0x7fff93bb7000 -     0x7fff93d28ff7  com.apple.QTKit (7.7.1 - 2599.41) <A645347D-3EEC-34A7-8051-A57AC60151EF> /System/Library/Frameworks/QTKit.framework/Versions/A/QTKit
    0x7fff93d33000 -     0x7fff93d53fff  libPng.dylib (851) <3466F35C-EC1A-3D1A-80DC-175857FA19D5> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libPng.dylib
    0x7fff93d54000 -     0x7fff93d97ff7  com.apple.RemoteViewServices (2.0 - 80.6) <5CFA361D-4853-3ACC-9EFC-A2AC1F43BA4B> /System/Library/PrivateFrameworks/RemoteViewServices.framework/Versions/A/RemoteViewServices
    0x7fff93dd1000 -     0x7fff9403efff  com.apple.RawCamera.bundle (4.07 - 697) <1588CEC6-012E-30E5-BF38-5BBDABB2F48F> /System/Library/CoreServices/RawCamera.bundle/Contents/MacOS/RawCamera

External Modification Summary:
  Calls made by other processes targeting this process:
    task_for_pid: 2
    thread_create: 0
    thread_set_state: 0
  Calls made by this process:
    task_for_pid: 0
    thread_create: 0
    thread_set_state: 0
  Calls made by all processes on this machine:
    task_for_pid: 1352
    thread_create: 2
    thread_set_state: 0

VM Region Summary:
ReadOnly portion of Libraries: Total=210.4M resident=164.9M(78%) swapped_out_or_unallocated=45.5M(22%)
Writable regions: Total=837.9M written=129.0M(15%) resident=174.7M(21%) swapped_out=0K(0%) unallocated=663.3M(79%)
 
REGION TYPE                      VIRTUAL
===========                      =======
(null) (reserved)                 495.1M        reserved VM address space (unallocated)
CG backing stores                  3564K
CG image                             64K
CG raster data                      156K
CG shared images                   1216K
CoreImage                            76K
CoreServices                       2128K
MALLOC                             83.7M
MALLOC guard page                    48K
MALLOC_LARGE (reserved)            2048K        reserved VM address space (unallocated)
Memory tag=240                        4K
Memory tag=242                       12K
Memory tag=251                       44K
OpenCL                               52K
STACK GUARD                        56.1M
Stack                              36.2M
VM_ALLOCATE                       212.6M
__DATA                             18.9M
__IMAGE                             528K
__LINKEDIT                         56.9M
__TEXT                            153.5M
__UNICODE                           544K
mapped file                        47.5M
shared memory                       308K
===========                      =======
TOTAL                               1.1G
TOTAL, minus reserved VM space    674.0M

Attachments (1)

Cyberduck_4.4.4_Crash.rtf (106.8 KB) - added by paulemanning on Jan 29, 2014 at 12:00:06 PM.

Download all attachments as: .zip

Change History (18)

comment:1 Changed on Nov 4, 2013 at 9:21:14 PM by dkocher

  • Description modified (diff)
  • Summary changed from Cyberduck crashes on Launch. to Crashes on Launch.

comment:2 Changed on Nov 5, 2013 at 8:36:45 PM by mcfilms

I like Cyberduck more than Filezilla, so I am hoping there is a way to get Cyberduck running again. Is there a page of advice on how to clear all prefrences and treat Cyberduck as a clean install and start over?

comment:3 Changed on Nov 7, 2013 at 1:22:54 PM by dkocher

Can you try if it makes a difference if you disable Bonjour support by opening a Terminal.app window and paste and enter

defaults write ch.sudo.cyberduck rendezvous.enable false

and then restart Cyberduck.

comment:4 Changed on Nov 7, 2013 at 3:51:37 PM by dkocher

  • Milestone set to 4.4.1
  • Summary changed from Crashes on Launch. to NSInvalidArgumentException in background thread

comment:5 Changed on Nov 21, 2013 at 12:30:26 PM by dkocher

  • Milestone set to 4.4.2
  • Resolution set to fixed
  • Status changed from new to closed

In r13899.

comment:6 Changed on Jan 14, 2014 at 1:31:32 PM by dkocher

  • Milestone changed from 4.4.2 to 4.4.4
  • Resolution fixed deleted
  • Status changed from closed to reopened

Still an issue as seen in #7730.

comment:7 Changed on Jan 24, 2014 at 1:58:39 PM by paulemanning

Is there any resolution to this? I'm still getting a crash on launch.

I've had to switch to FileZilla which is terrible and would love to get Cyberduck up and running, especially seeing as I donated in order to download it!

Thanks again, Paul

comment:8 Changed on Jan 24, 2014 at 4:24:26 PM by mcfilms

I did try disabling Bonjour support as suggested. That did not help. I also tried to unistall as much of Cyberduck as I could and reinstall the latest version.

At this point in time my "fix" for this issue is to use Filezilla, which is a poor substitute. But at least I can get it to launch.

comment:9 Changed on Jan 29, 2014 at 11:30:55 AM by dkocher

  • Owner set to dkocher
  • Status changed from reopened to new

comment:10 Changed on Jan 29, 2014 at 11:31:02 AM by dkocher

  • Status changed from new to assigned

comment:11 follow-up: Changed on Jan 29, 2014 at 11:59:52 AM by paulemanning

I am currently running OSX 10.9.1 and Cyberduck version 4.4.4 as previously mentioned. I'll re-upload the crash report now.

I find it hard to believe that the newest version of Cyberduck combined with the latest OSX software updates are still incompatible?

Surely every other mac user can't be experiencing the same issues? Do you have any idea at all what might be causing this as I really need the software up and running.

Thanks again for your help!

Changed on Jan 29, 2014 at 12:00:06 PM by paulemanning

comment:12 in reply to: ↑ 11 Changed on Jan 29, 2014 at 12:22:42 PM by dkocher

Replying to paulemanning:

I am currently running OSX 10.9.1 and Cyberduck version 4.4.4 as previously mentioned. I'll re-upload the crash report now.

I find it hard to believe that the newest version of Cyberduck combined with the latest OSX software updates are still incompatible?

Surely every other mac user can't be experiencing the same issues? Do you have any idea at all what might be causing this as I really need the software up and running.

Thanks again for your help!

Thanks for the latest crash report. Unfortunately we are not able to reproduce the issue and it doesn't look like this is a common issue as we don't have any duplicate report.

comment:13 Changed on Jan 29, 2014 at 12:23:10 PM by dkocher

Can you find any related output in the system.log (/Applications/Utilities/Console.app)?

comment:14 Changed on Jan 29, 2014 at 12:29:54 PM by paulemanning

Below is the full log for the crash event... perhaps you can decipher what is happening? Thanks again!

29/01/2014 12:27:11.171 WindowServer[116]: _CGXSetWindowBackgroundBlurRadius: Invalid window 0xffffffff
29/01/2014 12:27:12.432 Cyberduck[65187]: An uncaught exception was raised
29/01/2014 12:27:12.432 Cyberduck[65187]: *** -[NSPlaceholderString initWithString:]: nil argument
29/01/2014 12:27:12.432 Cyberduck[65187]: (
	0   CoreFoundation                      0x00007fff9488441c __exceptionPreprocess + 172
	1   libobjc.A.dylib                     0x00007fff8db52e75 objc_exception_throw + 43
	2   CoreFoundation                      0x00007fff948842cc +[NSException raise:format:] + 204
	3   Foundation                          0x00007fff8ef4f2eb -[NSPlaceholderString initWithString:] + 90
	4   libjnidispatch.dylib                0x000000010c7f4bbc ffi_call_unix64 + 76
	5   ???                                 0x0000000113a02910 0x0 + 4624230672
)

29/01/2014 12:27:12.432 Cyberduck[65187]: *** Terminating app due to uncaught exception 'NSInvalidArgumentException', reason: '*** -[NSPlaceholderString initWithString:]: nil argument'
*** First throw call stack:
(
	0   CoreFoundation                      0x00007fff9488441c __exceptionPreprocess + 172
	1   libobjc.A.dylib                     0x00007fff8db52e75 objc_exception_throw + 43
	2   CoreFoundation                      0x00007fff948842cc +[NSException raise:format:] + 204
	3   Foundation                          0x00007fff8ef4f2eb -[NSPlaceholderString initWithString:] + 90
	4   libjnidispatch.dylib                0x000000010c7f4bbc ffi_call_unix64 + 76
	5   ???                                 0x0000000113a02910 0x0 + 4624230672
)

29/01/2014 12:27:12.821 com.apple.launchd.peruser.502[147]: (ch.sudo.cyberduck.82224[65187]) Job appears to have crashed: Abort trap: 6
29/01/2014 12:27:12.940 ReportCrash[65189]: Saved crash report for Cyberduck[65187] version 4.4 (13582) to /Users/me/Library/Logs/DiagnosticReports/Cyberduck_2014-01-29-122712_Mannings-Retina.crash
29/01/2014 12:27:17.000 kernel[0]: **** [IOBluetoothHostControllerUSBTransport][SuspendDevice] -- Resume -- suspendDeviceCallResult = 0x0000 (kIOReturnSuccess) -- 0x3400 ****
29/01/2014 12:27:55.000 kernel[0]: **** [IOBluetoothHostControllerUSBTransport][SuspendDevice] -- Suspend -- suspendDeviceCallResult = 0x0000 (kIOReturnSuccess) -- 0x3400 ****
Last edited on Jan 29, 2014 at 1:07:43 PM by dkocher (previous) (diff)

comment:15 Changed on Jan 30, 2014 at 3:47:40 PM by dkocher

  • Milestone 4.4.4 deleted

comment:16 Changed on Apr 7, 2014 at 9:59:20 AM by dkocher

Can you reproduce this issue with the latest snapshot build available?

comment:17 Changed on Apr 11, 2014 at 9:27:49 AM by dkocher

  • Milestone set to 4.4.4
  • Resolution set to worksforme
  • Status changed from assigned to closed
Note: See TracTickets for help on using tickets.
swiss made software